import{s as Rd,n as Id,o as zd}from"../chunks/scheduler.b108d059.js";import{S as jd,i as Kd,g as i,s as a,u as h,A as Dd,h as o,f as t,c as s,j as n,v as p,y as c,k as u,o as d,a as l,w as f,d as v,t as m,x as T}from"../chunks/index.a9288bc5.js";import{I as _}from"../chunks/IconCopyLink.9df037eb.js";function Bd(Gs){let k,ql,ol,Sl,ye,Ql,y,V,al,we,Ls,Nr,Xs="utils/data-structures",Rl,xe,Ys="Custom data structures.",Il,Le,Zs=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,zl,$e,eu='<li><a href="#module_utils/data-structures">utils/data-structures</a><ul><li><em>static</em><ul><li><a href="#module_utils/data-structures.PriorityQueue">.PriorityQueue</a><ul><li><a href="#new_module_utils/data-structures.PriorityQueue_new"><code>new PriorityQueue(comparator)</code></a></li> <li><a href="#module_utils/data-structures.PriorityQueue+size"><code>.size</code></a></li> <li><a href="#module_utils/data-structures.PriorityQueue+isEmpty"><code>.isEmpty()</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+peek"><code>.peek()</code></a> ⇒ <code>any</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+push"><code>.push(...values)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+extend"><code>.extend(values)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+pop"><code>.pop()</code></a> ⇒ <code>any</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+replace"><code>.replace(value)</code></a> ⇒ <code>*</code></li></ul></li> <li><a href="#module_utils/data-structures.CharTrie">.CharTrie</a><ul><li><a href="#module_utils/data-structures.CharTrie+extend"><code>.extend(texts)</code></a></li> <li><a href="#module_utils/data-structures.CharTrie+push"><code>.push(text)</code></a></li> <li><a href="#module_utils/data-structures.CharTrie+commonPrefixSearch"><code>.commonPrefixSearch(text)</code></a></li></ul></li> <li><a href="#module_utils/data-structures.TokenLattice">.TokenLattice</a><ul><li><a href="#new_module_utils/data-structures.TokenLattice_new"><code>new TokenLattice(sentence, bosTokenId, eosTokenId)</code></a></li> <li><a href="#module_utils/data-structures.TokenLattice+insert"><code>.insert(pos, length, score, tokenId)</code></a></li> <li><a href="#module_utils/data-structures.TokenLattice+viterbi"><code>.viterbi()</code></a> ⇒ <code>Array.&lt;TokenLatticeNode&gt;</code></li> <li><a href="#module_utils/data-structures.TokenLattice+piece"><code>.piece(node)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/data-structures.TokenLattice+tokens"><code>.tokens()</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/data-structures.TokenLattice+tokenIds"><code>.tokenIds()</code></a> ⇒ <code>Array</code></li></ul></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/data-structures..CharTrieNode">~CharTrieNode</a><ul><li><a href="#new_module_utils/data-structures..CharTrieNode_new"><code>new CharTrieNode(isLeaf, children)</code></a></li> <li><a href="#module_utils/data-structures..CharTrieNode.default"><code>.default()</code></a> ⇒ <code>CharTrieNode</code></li></ul></li> <li><a href="#module_utils/data-structures..TokenLatticeNode">~TokenLatticeNode</a><ul><li><a href="#new_module_utils/data-structures..TokenLatticeNode_new"><code>new TokenLatticeNode(tokenId, nodeId, pos, length, score)</code></a></li> <li><a href="#module_utils/data-structures..TokenLatticeNode+clone"><code>.clone()</code></a> ⇒ <code>TokenLatticeNode</code></li></ul></li></ul></li></ul></li>',jl,Kl,Dl,Ce,Bl,w,W,sl,be,$s,gr,tu="utils/data-structures.PriorityQueue",Ul,He,ru=`Efficient Heap-based Implementation of a Priority Queue.
It uses an array-based binary heap, where the root is at index <code>0</code>, and the
children of node <code>i</code> are located at indices <code>2i + 1</code> and <code>2i + 2</code>, respectively.`,Jl,Pe,lu="Adapted from the following sources:",Ol,Ae,iu='<li><a href="https://stackoverflow.com/a/42919752/13989043" rel="nofollow">https://stackoverflow.com/a/42919752/13989043</a> (original)</li> <li><a href="https://github.com/belladoreai/llama-tokenizer-js" rel="nofollow">https://github.com/belladoreai/llama-tokenizer-js</a> (minor improvements)</li>',Vl,Me,ou='<strong>Kind</strong>: static class of <a href="#module_utils/data-structures"><code>utils/data-structures</code></a>',Wl,Ee,au='<li><a href="#module_utils/data-structures.PriorityQueue">.PriorityQueue</a><ul><li><a href="#new_module_utils/data-structures.PriorityQueue_new"><code>new PriorityQueue(comparator)</code></a></li> <li><a href="#module_utils/data-structures.PriorityQueue+size"><code>.size</code></a></li> <li><a href="#module_utils/data-structures.PriorityQueue+isEmpty"><code>.isEmpty()</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+peek"><code>.peek()</code></a> ⇒ <code>any</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+push"><code>.push(...values)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+extend"><code>.extend(values)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+pop"><code>.pop()</code></a> ⇒ <code>any</code></li> <li><a href="#module_utils/data-structures.PriorityQueue+replace"><code>.replace(value)</code></a> ⇒ <code>*</code></li></ul></li>',Fl,Gl,Xl,Ne,Yl,x,F,ul,ge,Cs,qr,su="<code>new PriorityQueue(comparator)</code>",Zl,qe,uu="Create a new PriorityQueue.",ei,Se,nu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>comparator</td><td><code>function</code></td><td><p>Comparator function to determine priority. Defaults to a MaxHeap.</p></td></tr></tbody>",ti,ri,li,Qe,ii,L,G,nl,Re,bs,Sr,du="<code>priorityQueue.size</code>",oi,Ie,cu="The size of the queue",ai,ze,hu='<strong>Kind</strong>: instance property of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a>',si,ui,ni,je,di,$,X,dl,Ke,Hs,Qr,pu="<code>priorityQueue.isEmpty()</code> ⇒ <code>boolean</code>",ci,De,fu="Check if the queue is empty.",hi,Be,vu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - <code>true</code> if the queue is empty, <code>false</code> otherwise.',pi,fi,vi,Ue,mi,C,Y,cl,Je,Ps,Rr,mu="<code>priorityQueue.peek()</code> ⇒ <code>any</code>",Ti,Oe,Tu="Return the element with the highest priority in the queue.",_i,Ve,_u='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a><br/> <strong>Returns</strong>: <code>any</code> - The highest priority element in the queue.',ki,yi,wi,We,xi,b,Z,hl,Fe,As,Ir,ku="<code>priorityQueue.push(...values)</code> ⇒ <code>number</code>",Li,Ge,yu="Add one or more elements to the queue.",$i,Xe,wu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a><br/> <strong>Returns</strong>: <code>number</code> - The new size of the queue.',Ci,Ye,xu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>...values</td><td><code>any</code></td><td><p>The values to push into the queue.</p></td></tr></tbody>",bi,Hi,Pi,Ze,Ai,H,ee,pl,et,Ms,zr,Lu="<code>priorityQueue.extend(values)</code> ⇒ <code>number</code>",Mi,tt,$u="Add multiple elements to the queue.",Ei,rt,Cu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a><br/> <strong>Returns</strong>: <code>number</code> - The new size of the queue.',Ni,lt,bu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>values</td><td><code>Array.&lt;any&gt;</code></td><td><p>The values to push into the queue.</p></td></tr></tbody>",gi,qi,Si,it,Qi,P,te,fl,ot,Es,jr,Hu="<code>priorityQueue.pop()</code> ⇒ <code>any</code>",Ri,at,Pu="Remove and return the element with the highest priority in the queue.",Ii,st,Au='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a><br/> <strong>Returns</strong>: <code>any</code> - The element with the highest priority in the queue.',zi,ji,Ki,ut,Di,A,re,vl,nt,Ns,Kr,Mu="<code>priorityQueue.replace(value)</code> ⇒ <code>*</code>",Bi,dt,Eu="Replace the element with the highest priority in the queue with a new value.",Ui,ct,Nu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.PriorityQueue"><code>PriorityQueue</code></a><br/> <strong>Returns</strong>: <code>*</code> - The replaced value.',Ji,ht,gu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>value</td><td><code>*</code></td><td><p>The new value.</p></td></tr></tbody>",Oi,Vi,Wi,pt,Fi,M,le,ml,ft,gs,Dr,qu="utils/data-structures.CharTrie",Gi,vt,Su="A trie structure to efficiently store and search for strings.",Xi,mt,Qu='<strong>Kind</strong>: static class of <a href="#module_utils/data-structures"><code>utils/data-structures</code></a>',Yi,Tt,Ru='<li><a href="#module_utils/data-structures.CharTrie">.CharTrie</a><ul><li><a href="#module_utils/data-structures.CharTrie+extend"><code>.extend(texts)</code></a></li> <li><a href="#module_utils/data-structures.CharTrie+push"><code>.push(text)</code></a></li> <li><a href="#module_utils/data-structures.CharTrie+commonPrefixSearch"><code>.commonPrefixSearch(text)</code></a></li></ul></li>',Zi,eo,to,_t,ro,E,ie,Tl,kt,qs,Br,Iu="<code>charTrie.extend(texts)</code>",lo,yt,zu="Adds one or more <code>texts</code> to the trie.",io,wt,ju='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.CharTrie"><code>CharTrie</code></a>',oo,xt,Ku="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>texts</td><td><code>Array.&lt;string&gt;</code></td><td><p>The strings to add to the trie.</p></td></tr></tbody>",ao,so,uo,Lt,no,N,oe,_l,$t,Ss,Ur,Du="<code>charTrie.push(text)</code>",co,Ct,Bu="Adds text to the trie.",ho,bt,Uu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.CharTrie"><code>CharTrie</code></a>',po,Ht,Ju="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>text</td><td><code>string</code></td><td><p>The string to add to the trie.</p></td></tr></tbody>",fo,vo,mo,Pt,To,g,ae,kl,At,Qs,Jr,Ou="<code>charTrie.commonPrefixSearch(text)</code>",_o,Mt,Vu="Searches the trie for all strings with a common prefix of <code>text</code>.",ko,Et,Wu='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.CharTrie"><code>CharTrie</code></a>',yo,Nt,Fu="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>text</td><td><code>string</code></td><td><p>The common prefix to search for.</p></td></tr></tbody>",wo,xo,Lo,gt,$o,q,se,yl,qt,Rs,Or,Gu="utils/data-structures.TokenLattice",Co,St,Xu="A lattice data structure to be used for tokenization.",bo,Qt,Yu='<strong>Kind</strong>: static class of <a href="#module_utils/data-structures"><code>utils/data-structures</code></a>',Ho,Rt,Zu='<li><a href="#module_utils/data-structures.TokenLattice">.TokenLattice</a><ul><li><a href="#new_module_utils/data-structures.TokenLattice_new"><code>new TokenLattice(sentence, bosTokenId, eosTokenId)</code></a></li> <li><a href="#module_utils/data-structures.TokenLattice+insert"><code>.insert(pos, length, score, tokenId)</code></a></li> <li><a href="#module_utils/data-structures.TokenLattice+viterbi"><code>.viterbi()</code></a> ⇒ <code>Array.&lt;TokenLatticeNode&gt;</code></li> <li><a href="#module_utils/data-structures.TokenLattice+piece"><code>.piece(node)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/data-structures.TokenLattice+tokens"><code>.tokens()</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/data-structures.TokenLattice+tokenIds"><code>.tokenIds()</code></a> ⇒ <code>Array</code></li></ul></li>',Po,Ao,Mo,It,Eo,S,ue,wl,zt,Is,Vr,en="<code>new TokenLattice(sentence, bosTokenId, eosTokenId)</code>",No,jt,tn="Creates a new TokenLattice instance.",go,Kt,rn="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>sentence</td><td><code>string</code></td><td><p>The input sentence to be tokenized.</p></td> </tr><tr><td>bosTokenId</td><td><code>number</code></td><td><p>The beginning-of-sequence token ID.</p></td> </tr><tr><td>eosTokenId</td><td><code>number</code></td><td><p>The end-of-sequence token ID.</p></td></tr></tbody>",qo,So,Qo,Dt,Ro,Q,ne,xl,Bt,zs,Wr,ln="<code>tokenLattice.insert(pos, length, score, tokenId)</code>",Io,Ut,on="Inserts a new token node into the token lattice.",zo,Jt,an='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.TokenLattice"><code>TokenLattice</code></a>',jo,Ot,sn="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>pos</td><td><code>number</code></td><td><p>The starting position of the token.</p></td> </tr><tr><td>length</td><td><code>number</code></td><td><p>The length of the token.</p></td> </tr><tr><td>score</td><td><code>number</code></td><td><p>The score of the token.</p></td> </tr><tr><td>tokenId</td><td><code>number</code></td><td><p>The token ID of the token.</p></td></tr></tbody>",Ko,Do,Bo,Vt,Uo,R,de,Ll,Wt,js,Fr,un="<code>tokenLattice.viterbi()</code> ⇒ <code>Array.&lt;TokenLatticeNode&gt;</code>",Jo,Ft,nn="Implements the Viterbi algorithm to compute the most likely sequence of tokens.",Oo,Gt,dn='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.TokenLattice"><code>TokenLattice</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;TokenLatticeNode&gt;</code> - The array of nodes representing the most likely sequence of tokens.',Vo,Wo,Fo,Xt,Go,I,ce,$l,Yt,Ks,Gr,cn="<code>tokenLattice.piece(node)</code> ⇒ <code>string</code>",Xo,Zt,hn='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.TokenLattice"><code>TokenLattice</code></a><br/> <strong>Returns</strong>: <code>string</code> - The array of nodes representing the most likely sequence of tokens.',Yo,er,pn="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>node</td><td><code>TokenLatticeNode</code></td></tr></tbody>",Zo,ea,ta,tr,ra,z,he,Cl,rr,Ds,Xr,fn="<code>tokenLattice.tokens()</code> ⇒ <code>Array</code>",la,lr,vn='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.TokenLattice"><code>TokenLattice</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The array of nodes representing the most likely sequence of tokens.',ia,oa,aa,ir,sa,j,pe,bl,or,Bs,Yr,mn="<code>tokenLattice.tokenIds()</code> ⇒ <code>Array</code>",ua,ar,Tn='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures.TokenLattice"><code>TokenLattice</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The array of nodes representing the most likely sequence of tokens.',na,da,ca,sr,ha,K,fe,Hl,ur,Us,Zr,_n="utils/data-structures~CharTrieNode",pa,nr,kn="Represents a node in a character trie.",fa,dr,yn='<strong>Kind</strong>: inner class of <a href="#module_utils/data-structures"><code>utils/data-structures</code></a>',va,cr,wn='<li><a href="#module_utils/data-structures..CharTrieNode">~CharTrieNode</a><ul><li><a href="#new_module_utils/data-structures..CharTrieNode_new"><code>new CharTrieNode(isLeaf, children)</code></a></li> <li><a href="#module_utils/data-structures..CharTrieNode.default"><code>.default()</code></a> ⇒ <code>CharTrieNode</code></li></ul></li>',ma,Ta,_a,hr,ka,D,ve,Pl,pr,Js,el,xn="<code>new CharTrieNode(isLeaf, children)</code>",ya,fr,Ln="Create a new CharTrieNode.",wa,vr,$n="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>isLeaf</td><td><code>boolean</code></td><td><p>Whether the node is a leaf node or not.</p></td> </tr><tr><td>children</td><td><code>Map.&lt;string, CharTrieNode&gt;</code></td><td><p>A map containing the node&#39;s children, where the key is a character and the value is a <code>CharTrieNode</code>.</p></td></tr></tbody>",xa,La,$a,mr,Ca,B,me,Al,Tr,Os,tl,Cn="<code>CharTrieNode.default()</code> ⇒ <code>CharTrieNode</code>",ba,_r,bn="Returns a new <code>CharTrieNode</code> instance with default values.",Ha,kr,Hn='<strong>Kind</strong>: static method of <a href="#module_utils/data-structures..CharTrieNode"><code>CharTrieNode</code></a><br/> <strong>Returns</strong>: <code>CharTrieNode</code> - A new <code>CharTrieNode</code> instance with <code>isLeaf</code> set to <code>false</code> and an empty <code>children</code> map.',Pa,Aa,Ma,yr,Ea,U,Te,Ml,wr,Vs,rl,Pn="utils/data-structures~TokenLatticeNode",Na,xr,An='<strong>Kind</strong>: inner class of <a href="#module_utils/data-structures"><code>utils/data-structures</code></a>',ga,Lr,Mn='<li><a href="#module_utils/data-structures..TokenLatticeNode">~TokenLatticeNode</a><ul><li><a href="#new_module_utils/data-structures..TokenLatticeNode_new"><code>new TokenLatticeNode(tokenId, nodeId, pos, length, score)</code></a></li> <li><a href="#module_utils/data-structures..TokenLatticeNode+clone"><code>.clone()</code></a> ⇒ <code>TokenLatticeNode</code></li></ul></li>',qa,Sa,Qa,$r,Ra,J,_e,El,Cr,Ws,ll,En="<code>new TokenLatticeNode(tokenId, nodeId, pos, length, score)</code>",Ia,br,Nn="Represents a node in a token lattice for a given sentence.",za,Hr,gn="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>tokenId</td><td><code>number</code></td><td><p>The ID of the token associated with this node.</p></td> </tr><tr><td>nodeId</td><td><code>number</code></td><td><p>The ID of this node.</p></td> </tr><tr><td>pos</td><td><code>number</code></td><td><p>The starting position of the token in the sentence.</p></td> </tr><tr><td>length</td><td><code>number</code></td><td><p>The length of the token.</p></td> </tr><tr><td>score</td><td><code>number</code></td><td><p>The score associated with the token.</p></td></tr></tbody>",ja,Ka,Da,Pr,Ba,O,ke,Nl,Ar,Fs,il,qn="<code>tokenLatticeNode.clone()</code> ⇒ <code>TokenLatticeNode</code>",Ua,Mr,Sn="Returns a clone of this node.",Ja,Er,Qn='<strong>Kind</strong>: instance method of <a href="#module_utils/data-structures..TokenLatticeNode"><code>TokenLatticeNode</code></a><br/> <strong>Returns</strong>: <code>TokenLatticeNode</code> - A clone of this node.',Oa,Va,Wa,gl,Fa;return we=new _({}),be=new _({}),ge=new _({}),Re=new _({}),Ke=new _({}),Je=new _({}),Fe=new _({}),et=new _({}),ot=new _({}),nt=new _({}),ft=new _({}),kt=new _({}),$t=new _({}),At=new _({}),qt=new _({}),zt=new _({}),Bt=new _({}),Wt=new _({}),Yt=new _({}),rr=new _({}),or=new _({}),ur=new _({}),pr=new _({}),Tr=new _({}),wr=new _({}),Cr=new _({}),Ar=new _({}),{c(){k=i("meta"),ql=a(),ol=i("p"),Sl=a(),ye=i("a"),Ql=a(),y=i("h1"),V=i("a"),al=i("span"),h(we.$$.fragment),Ls=a(),Nr=i("span"),Nr.textContent=Xs,Rl=a(),xe=i("p"),xe.textContent=Ys,Il=a(),Le=i("p"),Le.textContent=Zs,zl=a(),$e=i("ul"),$e.innerHTML=eu,jl=a(),Kl=i("hr"),Dl=a(),Ce=i("a"),Bl=a(),w=i("h2"),W=i("a"),sl=i("span"),h(be.$$.fragment),$s=a(),gr=i("span"),gr.textContent=tu,Ul=a(),He=i("p"),He.innerHTML=ru,Jl=a(),Pe=i("p"),Pe.textContent=lu,Ol=a(),Ae=i("ul"),Ae.innerHTML=iu,Vl=a(),Me=i("p"),Me.innerHTML=ou,Wl=a(),Ee=i("ul"),Ee.innerHTML=au,Fl=a(),Gl=i("hr"),Xl=a(),Ne=i("a"),Yl=a(),x=i("h3"),F=i("a"),ul=i("span"),h(ge.$$.fragment),Cs=a(),qr=i("span"),qr.innerHTML=su,Zl=a(),qe=i("p"),qe.textContent=uu,ei=a(),Se=i("table"),Se.innerHTML=nu,ti=a(),ri=i("hr"),li=a(),Qe=i("a"),ii=a(),L=i("h3"),G=i("a"),nl=i("span"),h(Re.$$.fragment),bs=a(),Sr=i("span"),Sr.innerHTML=du,oi=a(),Ie=i("p"),Ie.textContent=cu,ai=a(),ze=i("p"),ze.innerHTML=hu,si=a(),ui=i("hr"),ni=a(),je=i("a"),di=a(),$=i("h3"),X=i("a"),dl=i("span"),h(Ke.$$.fragment),Hs=a(),Qr=i("span"),Qr.innerHTML=pu,ci=a(),De=i("p"),De.textContent=fu,hi=a(),Be=i("p"),Be.innerHTML=vu,pi=a(),fi=i("hr"),vi=a(),Ue=i("a"),mi=a(),C=i("h3"),Y=i("a"),cl=i("span"),h(Je.$$.fragment),Ps=a(),Rr=i("span"),Rr.innerHTML=mu,Ti=a(),Oe=i("p"),Oe.textContent=Tu,_i=a(),Ve=i("p"),Ve.innerHTML=_u,ki=a(),yi=i("hr"),wi=a(),We=i("a"),xi=a(),b=i("h3"),Z=i("a"),hl=i("span"),h(Fe.$$.fragment),As=a(),Ir=i("span"),Ir.innerHTML=ku,Li=a(),Ge=i("p"),Ge.textContent=yu,$i=a(),Xe=i("p"),Xe.innerHTML=wu,Ci=a(),Ye=i("table"),Ye.innerHTML=xu,bi=a(),Hi=i("hr"),Pi=a(),Ze=i("a"),Ai=a(),H=i("h3"),ee=i("a"),pl=i("span"),h(et.$$.fragment),Ms=a(),zr=i("span"),zr.innerHTML=Lu,Mi=a(),tt=i("p"),tt.textContent=$u,Ei=a(),rt=i("p"),rt.innerHTML=Cu,Ni=a(),lt=i("table"),lt.innerHTML=bu,gi=a(),qi=i("hr"),Si=a(),it=i("a"),Qi=a(),P=i("h3"),te=i("a"),fl=i("span"),h(ot.$$.fragment),Es=a(),jr=i("span"),jr.innerHTML=Hu,Ri=a(),at=i("p"),at.textContent=Pu,Ii=a(),st=i("p"),st.innerHTML=Au,zi=a(),ji=i("hr"),Ki=a(),ut=i("a"),Di=a(),A=i("h3"),re=i("a"),vl=i("span"),h(nt.$$.fragment),Ns=a(),Kr=i("span"),Kr.innerHTML=Mu,Bi=a(),dt=i("p"),dt.textContent=Eu,Ui=a(),ct=i("p"),ct.innerHTML=Nu,Ji=a(),ht=i("table"),ht.innerHTML=gu,Oi=a(),Vi=i("hr"),Wi=a(),pt=i("a"),Fi=a(),M=i("h2"),le=i("a"),ml=i("span"),h(ft.$$.fragment),gs=a(),Dr=i("span"),Dr.textContent=qu,Gi=a(),vt=i("p"),vt.textContent=Su,Xi=a(),mt=i("p"),mt.innerHTML=Qu,Yi=a(),Tt=i("ul"),Tt.innerHTML=Ru,Zi=a(),eo=i("hr"),to=a(),_t=i("a"),ro=a(),E=i("h3"),ie=i("a"),Tl=i("span"),h(kt.$$.fragment),qs=a(),Br=i("span"),Br.innerHTML=Iu,lo=a(),yt=i("p"),yt.innerHTML=zu,io=a(),wt=i("p"),wt.innerHTML=ju,oo=a(),xt=i("table"),xt.innerHTML=Ku,ao=a(),so=i("hr"),uo=a(),Lt=i("a"),no=a(),N=i("h3"),oe=i("a"),_l=i("span"),h($t.$$.fragment),Ss=a(),Ur=i("span"),Ur.innerHTML=Du,co=a(),Ct=i("p"),Ct.textContent=Bu,ho=a(),bt=i("p"),bt.innerHTML=Uu,po=a(),Ht=i("table"),Ht.innerHTML=Ju,fo=a(),vo=i("hr"),mo=a(),Pt=i("a"),To=a(),g=i("h3"),ae=i("a"),kl=i("span"),h(At.$$.fragment),Qs=a(),Jr=i("span"),Jr.innerHTML=Ou,_o=a(),Mt=i("p"),Mt.innerHTML=Vu,ko=a(),Et=i("p"),Et.innerHTML=Wu,yo=a(),Nt=i("table"),Nt.innerHTML=Fu,wo=a(),xo=i("hr"),Lo=a(),gt=i("a"),$o=a(),q=i("h2"),se=i("a"),yl=i("span"),h(qt.$$.fragment),Rs=a(),Or=i("span"),Or.textContent=Gu,Co=a(),St=i("p"),St.textContent=Xu,bo=a(),Qt=i("p"),Qt.innerHTML=Yu,Ho=a(),Rt=i("ul"),Rt.innerHTML=Zu,Po=a(),Ao=i("hr"),Mo=a(),It=i("a"),Eo=a(),S=i("h3"),ue=i("a"),wl=i("span"),h(zt.$$.fragment),Is=a(),Vr=i("span"),Vr.innerHTML=en,No=a(),jt=i("p"),jt.textContent=tn,go=a(),Kt=i("table"),Kt.innerHTML=rn,qo=a(),So=i("hr"),Qo=a(),Dt=i("a"),Ro=a(),Q=i("h3"),ne=i("a"),xl=i("span"),h(Bt.$$.fragment),zs=a(),Wr=i("span"),Wr.innerHTML=ln,Io=a(),Ut=i("p"),Ut.textContent=on,zo=a(),Jt=i("p"),Jt.innerHTML=an,jo=a(),Ot=i("table"),Ot.innerHTML=sn,Ko=a(),Do=i("hr"),Bo=a(),Vt=i("a"),Uo=a(),R=i("h3"),de=i("a"),Ll=i("span"),h(Wt.$$.fragment),js=a(),Fr=i("span"),Fr.innerHTML=un,Jo=a(),Ft=i("p"),Ft.textContent=nn,Oo=a(),Gt=i("p"),Gt.innerHTML=dn,Vo=a(),Wo=i("hr"),Fo=a(),Xt=i("a"),Go=a(),I=i("h3"),ce=i("a"),$l=i("span"),h(Yt.$$.fragment),Ks=a(),Gr=i("span"),Gr.innerHTML=cn,Xo=a(),Zt=i("p"),Zt.innerHTML=hn,Yo=a(),er=i("table"),er.innerHTML=pn,Zo=a(),ea=i("hr"),ta=a(),tr=i("a"),ra=a(),z=i("h3"),he=i("a"),Cl=i("span"),h(rr.$$.fragment),Ds=a(),Xr=i("span"),Xr.innerHTML=fn,la=a(),lr=i("p"),lr.innerHTML=vn,ia=a(),oa=i("hr"),aa=a(),ir=i("a"),sa=a(),j=i("h3"),pe=i("a"),bl=i("span"),h(or.$$.fragment),Bs=a(),Yr=i("span"),Yr.innerHTML=mn,ua=a(),ar=i("p"),ar.innerHTML=Tn,na=a(),da=i("hr"),ca=a(),sr=i("a"),ha=a(),K=i("h2"),fe=i("a"),Hl=i("span"),h(ur.$$.fragment),Us=a(),Zr=i("span"),Zr.textContent=_n,pa=a(),nr=i("p"),nr.textContent=kn,fa=a(),dr=i("p"),dr.innerHTML=yn,va=a(),cr=i("ul"),cr.innerHTML=wn,ma=a(),Ta=i("hr"),_a=a(),hr=i("a"),ka=a(),D=i("h3"),ve=i("a"),Pl=i("span"),h(pr.$$.fragment),Js=a(),el=i("span"),el.innerHTML=xn,ya=a(),fr=i("p"),fr.textContent=Ln,wa=a(),vr=i("table"),vr.innerHTML=$n,xa=a(),La=i("hr"),$a=a(),mr=i("a"),Ca=a(),B=i("h3"),me=i("a"),Al=i("span"),h(Tr.$$.fragment),Os=a(),tl=i("span"),tl.innerHTML=Cn,ba=a(),_r=i("p"),_r.innerHTML=bn,Ha=a(),kr=i("p"),kr.innerHTML=Hn,Pa=a(),Aa=i("hr"),Ma=a(),yr=i("a"),Ea=a(),U=i("h2"),Te=i("a"),Ml=i("span"),h(wr.$$.fragment),Vs=a(),rl=i("span"),rl.textContent=Pn,Na=a(),xr=i("p"),xr.innerHTML=An,ga=a(),Lr=i("ul"),Lr.innerHTML=Mn,qa=a(),Sa=i("hr"),Qa=a(),$r=i("a"),Ra=a(),J=i("h3"),_e=i("a"),El=i("span"),h(Cr.$$.fragment),Ws=a(),ll=i("span"),ll.innerHTML=En,Ia=a(),br=i("p"),br.textContent=Nn,za=a(),Hr=i("table"),Hr.innerHTML=gn,ja=a(),Ka=i("hr"),Da=a(),Pr=i("a"),Ba=a(),O=i("h3"),ke=i("a"),Nl=i("span"),h(Ar.$$.fragment),Fs=a(),il=i("span"),il.innerHTML=qn,Ua=a(),Mr=i("p"),Mr.textContent=Sn,Ja=a(),Er=i("p"),Er.innerHTML=Qn,Oa=a(),Va=i("hr"),Wa=a(),gl=i("p"),this.h()},l(e){const r=Dd("svelte-1phssyn",document.head);k=o(r,"META",{name:!0,content:!0}),r.forEach(t),ql=s(e),ol=o(e,"P",{}),n(ol).forEach(t),Sl=s(e),ye=o(e,"A",{id:!0,class:!0}),n(ye).forEach(t),Ql=s(e),y=o(e,"H1",{class:!0});var Ga=n(y);V=o(Ga,"A",{id:!0,class:!0,href:!0});var Rn=n(V);al=o(Rn,"SPAN",{});var In=n(al);p(we.$$.fragment,In),In.forEach(t),Rn.forEach(t),Ls=s(Ga),Nr=o(Ga,"SPAN",{"data-svelte-h":!0}),c(Nr)!=="svelte-1ojplrc"&&(Nr.textContent=Xs),Ga.forEach(t),Rl=s(e),xe=o(e,"P",{"data-svelte-h":!0}),c(xe)!=="svelte-1aeeeid"&&(xe.textContent=Ys),Il=s(e),Le=o(e,"P",{"data-svelte-h":!0}),c(Le)!=="svelte-1r3ntfo"&&(Le.textContent=Zs),zl=s(e),$e=o(e,"UL",{"data-svelte-h":!0}),c($e)!=="svelte-7lwlwm"&&($e.innerHTML=eu),jl=s(e),Kl=o(e,"HR",{}),Dl=s(e),Ce=o(e,"A",{id:!0,class:!0}),n(Ce).forEach(t),Bl=s(e),w=o(e,"H2",{class:!0});var Xa=n(w);W=o(Xa,"A",{id:!0,class:!0,href:!0});var zn=n(W);sl=o(zn,"SPAN",{});var jn=n(sl);p(be.$$.fragment,jn),jn.forEach(t),zn.forEach(t),$s=s(Xa),gr=o(Xa,"SPAN",{"data-svelte-h":!0}),c(gr)!=="svelte-po9a9t"&&(gr.textContent=tu),Xa.forEach(t),Ul=s(e),He=o(e,"P",{"data-svelte-h":!0}),c(He)!=="svelte-1ux83uj"&&(He.innerHTML=ru),Jl=s(e),Pe=o(e,"P",{"data-svelte-h":!0}),c(Pe)!=="svelte-vi2pz9"&&(Pe.textContent=lu),Ol=s(e),Ae=o(e,"UL",{"data-svelte-h":!0}),c(Ae)!=="svelte-qlvgg9"&&(Ae.innerHTML=iu),Vl=s(e),Me=o(e,"P",{"data-svelte-h":!0}),c(Me)!=="svelte-1saulos"&&(Me.innerHTML=ou),Wl=s(e),Ee=o(e,"UL",{"data-svelte-h":!0}),c(Ee)!=="svelte-1306bmq"&&(Ee.innerHTML=au),Fl=s(e),Gl=o(e,"HR",{}),Xl=s(e),Ne=o(e,"A",{id:!0,class:!0}),n(Ne).forEach(t),Yl=s(e),x=o(e,"H3",{class:!0});var Ya=n(x);F=o(Ya,"A",{id:!0,class:!0,href:!0});var Kn=n(F);ul=o(Kn,"SPAN",{});var Dn=n(ul);p(ge.$$.fragment,Dn),Dn.forEach(t),Kn.forEach(t),Cs=s(Ya),qr=o(Ya,"SPAN",{"data-svelte-h":!0}),c(qr)!=="svelte-1v192nq"&&(qr.innerHTML=su),Ya.forEach(t),Zl=s(e),qe=o(e,"P",{"data-svelte-h":!0}),c(qe)!=="svelte-1dgukb8"&&(qe.textContent=uu),ei=s(e),Se=o(e,"TABLE",{"data-svelte-h":!0}),c(Se)!=="svelte-15lsmj7"&&(Se.innerHTML=nu),ti=s(e),ri=o(e,"HR",{}),li=s(e),Qe=o(e,"A",{id:!0,class:!0}),n(Qe).forEach(t),ii=s(e),L=o(e,"H3",{class:!0});var Za=n(L);G=o(Za,"A",{id:!0,class:!0,href:!0});var Bn=n(G);nl=o(Bn,"SPAN",{});var Un=n(nl);p(Re.$$.fragment,Un),Un.forEach(t),Bn.forEach(t),bs=s(Za),Sr=o(Za,"SPAN",{"data-svelte-h":!0}),c(Sr)!=="svelte-1eidbcg"&&(Sr.innerHTML=du),Za.forEach(t),oi=s(e),Ie=o(e,"P",{"data-svelte-h":!0}),c(Ie)!=="svelte-19ll7y9"&&(Ie.textContent=cu),ai=s(e),ze=o(e,"P",{"data-svelte-h":!0}),c(ze)!=="svelte-1spompf"&&(ze.innerHTML=hu),si=s(e),ui=o(e,"HR",{}),ni=s(e),je=o(e,"A",{id:!0,class:!0}),n(je).forEach(t),di=s(e),$=o(e,"H3",{class:!0});var es=n($);X=o(es,"A",{id:!0,class:!0,href:!0});var Jn=n(X);dl=o(Jn,"SPAN",{});var On=n(dl);p(Ke.$$.fragment,On),On.forEach(t),Jn.forEach(t),Hs=s(es),Qr=o(es,"SPAN",{"data-svelte-h":!0}),c(Qr)!=="svelte-gtab94"&&(Qr.innerHTML=pu),es.forEach(t),ci=s(e),De=o(e,"P",{"data-svelte-h":!0}),c(De)!=="svelte-iwo0ja"&&(De.textContent=fu),hi=s(e),Be=o(e,"P",{"data-svelte-h":!0}),c(Be)!=="svelte-usw3zo"&&(Be.innerHTML=vu),pi=s(e),fi=o(e,"HR",{}),vi=s(e),Ue=o(e,"A",{id:!0,class:!0}),n(Ue).forEach(t),mi=s(e),C=o(e,"H3",{class:!0});var ts=n(C);Y=o(ts,"A",{id:!0,class:!0,href:!0});var Vn=n(Y);cl=o(Vn,"SPAN",{});var Wn=n(cl);p(Je.$$.fragment,Wn),Wn.forEach(t),Vn.forEach(t),Ps=s(ts),Rr=o(ts,"SPAN",{"data-svelte-h":!0}),c(Rr)!=="svelte-ckp56s"&&(Rr.innerHTML=mu),ts.forEach(t),Ti=s(e),Oe=o(e,"P",{"data-svelte-h":!0}),c(Oe)!=="svelte-1g38rzl"&&(Oe.textContent=Tu),_i=s(e),Ve=o(e,"P",{"data-svelte-h":!0}),c(Ve)!=="svelte-1jn2os3"&&(Ve.innerHTML=_u),ki=s(e),yi=o(e,"HR",{}),wi=s(e),We=o(e,"A",{id:!0,class:!0}),n(We).forEach(t),xi=s(e),b=o(e,"H3",{class:!0});var rs=n(b);Z=o(rs,"A",{id:!0,class:!0,href:!0});var Fn=n(Z);hl=o(Fn,"SPAN",{});var Gn=n(hl);p(Fe.$$.fragment,Gn),Gn.forEach(t),Fn.forEach(t),As=s(rs),Ir=o(rs,"SPAN",{"data-svelte-h":!0}),c(Ir)!=="svelte-xgzodu"&&(Ir.innerHTML=ku),rs.forEach(t),Li=s(e),Ge=o(e,"P",{"data-svelte-h":!0}),c(Ge)!=="svelte-1o3p42d"&&(Ge.textContent=yu),$i=s(e),Xe=o(e,"P",{"data-svelte-h":!0}),c(Xe)!=="svelte-1hty3q7"&&(Xe.innerHTML=wu),Ci=s(e),Ye=o(e,"TABLE",{"data-svelte-h":!0}),c(Ye)!=="svelte-19plha1"&&(Ye.innerHTML=xu),bi=s(e),Hi=o(e,"HR",{}),Pi=s(e),Ze=o(e,"A",{id:!0,class:!0}),n(Ze).forEach(t),Ai=s(e),H=o(e,"H3",{class:!0});var ls=n(H);ee=o(ls,"A",{id:!0,class:!0,href:!0});var Xn=n(ee);pl=o(Xn,"SPAN",{});var Yn=n(pl);p(et.$$.fragment,Yn),Yn.forEach(t),Xn.forEach(t),Ms=s(ls),zr=o(ls,"SPAN",{"data-svelte-h":!0}),c(zr)!=="svelte-ia0lnw"&&(zr.innerHTML=Lu),ls.forEach(t),Mi=s(e),tt=o(e,"P",{"data-svelte-h":!0}),c(tt)!=="svelte-1rf8gmz"&&(tt.textContent=$u),Ei=s(e),rt=o(e,"P",{"data-svelte-h":!0}),c(rt)!=="svelte-1hty3q7"&&(rt.innerHTML=Cu),Ni=s(e),lt=o(e,"TABLE",{"data-svelte-h":!0}),c(lt)!=="svelte-txh99d"&&(lt.innerHTML=bu),gi=s(e),qi=o(e,"HR",{}),Si=s(e),it=o(e,"A",{id:!0,class:!0}),n(it).forEach(t),Qi=s(e),P=o(e,"H3",{class:!0});var is=n(P);te=o(is,"A",{id:!0,class:!0,href:!0});var Zn=n(te);fl=o(Zn,"SPAN",{});var ed=n(fl);p(ot.$$.fragment,ed),ed.forEach(t),Zn.forEach(t),Es=s(is),jr=o(is,"SPAN",{"data-svelte-h":!0}),c(jr)!=="svelte-1cjrz58"&&(jr.innerHTML=Hu),is.forEach(t),Ri=s(e),at=o(e,"P",{"data-svelte-h":!0}),c(at)!=="svelte-1l3oksc"&&(at.textContent=Pu),Ii=s(e),st=o(e,"P",{"data-svelte-h":!0}),c(st)!=="svelte-vpswb8"&&(st.innerHTML=Au),zi=s(e),ji=o(e,"HR",{}),Ki=s(e),ut=o(e,"A",{id:!0,class:!0}),n(ut).forEach(t),Di=s(e),A=o(e,"H3",{class:!0});var os=n(A);re=o(os,"A",{id:!0,class:!0,href:!0});var td=n(re);vl=o(td,"SPAN",{});var rd=n(vl);p(nt.$$.fragment,rd),rd.forEach(t),td.forEach(t),Ns=s(os),Kr=o(os,"SPAN",{"data-svelte-h":!0}),c(Kr)!=="svelte-1bid1ug"&&(Kr.innerHTML=Mu),os.forEach(t),Bi=s(e),dt=o(e,"P",{"data-svelte-h":!0}),c(dt)!=="svelte-7s4t0d"&&(dt.textContent=Eu),Ui=s(e),ct=o(e,"P",{"data-svelte-h":!0}),c(ct)!=="svelte-ckytvb"&&(ct.innerHTML=Nu),Ji=s(e),ht=o(e,"TABLE",{"data-svelte-h":!0}),c(ht)!=="svelte-1xv2m9q"&&(ht.innerHTML=gu),Oi=s(e),Vi=o(e,"HR",{}),Wi=s(e),pt=o(e,"A",{id:!0,class:!0}),n(pt).forEach(t),Fi=s(e),M=o(e,"H2",{class:!0});var as=n(M);le=o(as,"A",{id:!0,class:!0,href:!0});var ld=n(le);ml=o(ld,"SPAN",{});var id=n(ml);p(ft.$$.fragment,id),id.forEach(t),ld.forEach(t),gs=s(as),Dr=o(as,"SPAN",{"data-svelte-h":!0}),c(Dr)!=="svelte-1j2jn3c"&&(Dr.textContent=qu),as.forEach(t),Gi=s(e),vt=o(e,"P",{"data-svelte-h":!0}),c(vt)!=="svelte-nklgrc"&&(vt.textContent=Su),Xi=s(e),mt=o(e,"P",{"data-svelte-h":!0}),c(mt)!=="svelte-1saulos"&&(mt.innerHTML=Qu),Yi=s(e),Tt=o(e,"UL",{"data-svelte-h":!0}),c(Tt)!=="svelte-1yt2jf0"&&(Tt.innerHTML=Ru),Zi=s(e),eo=o(e,"HR",{}),to=s(e),_t=o(e,"A",{id:!0,class:!0}),n(_t).forEach(t),ro=s(e),E=o(e,"H3",{class:!0});var ss=n(E);ie=o(ss,"A",{id:!0,class:!0,href:!0});var od=n(ie);Tl=o(od,"SPAN",{});var ad=n(Tl);p(kt.$$.fragment,ad),ad.forEach(t),od.forEach(t),qs=s(ss),Br=o(ss,"SPAN",{"data-svelte-h":!0}),c(Br)!=="svelte-8cj71l"&&(Br.innerHTML=Iu),ss.forEach(t),lo=s(e),yt=o(e,"P",{"data-svelte-h":!0}),c(yt)!=="svelte-moeq8l"&&(yt.innerHTML=zu),io=s(e),wt=o(e,"P",{"data-svelte-h":!0}),c(wt)!=="svelte-33rax3"&&(wt.innerHTML=ju),oo=s(e),xt=o(e,"TABLE",{"data-svelte-h":!0}),c(xt)!=="svelte-18dtsnv"&&(xt.innerHTML=Ku),ao=s(e),so=o(e,"HR",{}),uo=s(e),Lt=o(e,"A",{id:!0,class:!0}),n(Lt).forEach(t),no=s(e),N=o(e,"H3",{class:!0});var us=n(N);oe=o(us,"A",{id:!0,class:!0,href:!0});var sd=n(oe);_l=o(sd,"SPAN",{});var ud=n(_l);p($t.$$.fragment,ud),ud.forEach(t),sd.forEach(t),Ss=s(us),Ur=o(us,"SPAN",{"data-svelte-h":!0}),c(Ur)!=="svelte-1gb7d80"&&(Ur.innerHTML=Du),us.forEach(t),co=s(e),Ct=o(e,"P",{"data-svelte-h":!0}),c(Ct)!=="svelte-4q846v"&&(Ct.textContent=Bu),ho=s(e),bt=o(e,"P",{"data-svelte-h":!0}),c(bt)!=="svelte-33rax3"&&(bt.innerHTML=Uu),po=s(e),Ht=o(e,"TABLE",{"data-svelte-h":!0}),c(Ht)!=="svelte-hqwgb9"&&(Ht.innerHTML=Ju),fo=s(e),vo=o(e,"HR",{}),mo=s(e),Pt=o(e,"A",{id:!0,class:!0}),n(Pt).forEach(t),To=s(e),g=o(e,"H3",{class:!0});var ns=n(g);ae=o(ns,"A",{id:!0,class:!0,href:!0});var nd=n(ae);kl=o(nd,"SPAN",{});var dd=n(kl);p(At.$$.fragment,dd),dd.forEach(t),nd.forEach(t),Qs=s(ns),Jr=o(ns,"SPAN",{"data-svelte-h":!0}),c(Jr)!=="svelte-1u8phg5"&&(Jr.innerHTML=Ou),ns.forEach(t),_o=s(e),Mt=o(e,"P",{"data-svelte-h":!0}),c(Mt)!=="svelte-bmaw98"&&(Mt.innerHTML=Vu),ko=s(e),Et=o(e,"P",{"data-svelte-h":!0}),c(Et)!=="svelte-33rax3"&&(Et.innerHTML=Wu),yo=s(e),Nt=o(e,"TABLE",{"data-svelte-h":!0}),c(Nt)!=="svelte-18qxh0x"&&(Nt.innerHTML=Fu),wo=s(e),xo=o(e,"HR",{}),Lo=s(e),gt=o(e,"A",{id:!0,class:!0}),n(gt).forEach(t),$o=s(e),q=o(e,"H2",{class:!0});var ds=n(q);se=o(ds,"A",{id:!0,class:!0,href:!0});var cd=n(se);yl=o(cd,"SPAN",{});var hd=n(yl);p(qt.$$.fragment,hd),hd.forEach(t),cd.forEach(t),Rs=s(ds),Or=o(ds,"SPAN",{"data-svelte-h":!0}),c(Or)!=="svelte-1rqkpl3"&&(Or.textContent=Gu),ds.forEach(t),Co=s(e),St=o(e,"P",{"data-svelte-h":!0}),c(St)!=="svelte-1xkinx1"&&(St.textContent=Xu),bo=s(e),Qt=o(e,"P",{"data-svelte-h":!0}),c(Qt)!=="svelte-1saulos"&&(Qt.innerHTML=Yu),Ho=s(e),Rt=o(e,"UL",{"data-svelte-h":!0}),c(Rt)!=="svelte-1v3b8ek"&&(Rt.innerHTML=Zu),Po=s(e),Ao=o(e,"HR",{}),Mo=s(e),It=o(e,"A",{id:!0,class:!0}),n(It).forEach(t),Eo=s(e),S=o(e,"H3",{class:!0});var cs=n(S);ue=o(cs,"A",{id:!0,class:!0,href:!0});var pd=n(ue);wl=o(pd,"SPAN",{});var fd=n(wl);p(zt.$$.fragment,fd),fd.forEach(t),pd.forEach(t),Is=s(cs),Vr=o(cs,"SPAN",{"data-svelte-h":!0}),c(Vr)!=="svelte-udxvcs"&&(Vr.innerHTML=en),cs.forEach(t),No=s(e),jt=o(e,"P",{"data-svelte-h":!0}),c(jt)!=="svelte-ziiz62"&&(jt.textContent=tn),go=s(e),Kt=o(e,"TABLE",{"data-svelte-h":!0}),c(Kt)!=="svelte-1h8dv5n"&&(Kt.innerHTML=rn),qo=s(e),So=o(e,"HR",{}),Qo=s(e),Dt=o(e,"A",{id:!0,class:!0}),n(Dt).forEach(t),Ro=s(e),Q=o(e,"H3",{class:!0});var hs=n(Q);ne=o(hs,"A",{id:!0,class:!0,href:!0});var vd=n(ne);xl=o(vd,"SPAN",{});var md=n(xl);p(Bt.$$.fragment,md),md.forEach(t),vd.forEach(t),zs=s(hs),Wr=o(hs,"SPAN",{"data-svelte-h":!0}),c(Wr)!=="svelte-1m34577"&&(Wr.innerHTML=ln),hs.forEach(t),Io=s(e),Ut=o(e,"P",{"data-svelte-h":!0}),c(Ut)!=="svelte-1hzq3te"&&(Ut.textContent=on),zo=s(e),Jt=o(e,"P",{"data-svelte-h":!0}),c(Jt)!=="svelte-1bjyh7n"&&(Jt.innerHTML=an),jo=s(e),Ot=o(e,"TABLE",{"data-svelte-h":!0}),c(Ot)!=="svelte-1a01i2a"&&(Ot.innerHTML=sn),Ko=s(e),Do=o(e,"HR",{}),Bo=s(e),Vt=o(e,"A",{id:!0,class:!0}),n(Vt).forEach(t),Uo=s(e),R=o(e,"H3",{class:!0});var ps=n(R);de=o(ps,"A",{id:!0,class:!0,href:!0});var Td=n(de);Ll=o(Td,"SPAN",{});var _d=n(Ll);p(Wt.$$.fragment,_d),_d.forEach(t),Td.forEach(t),js=s(ps),Fr=o(ps,"SPAN",{"data-svelte-h":!0}),c(Fr)!=="svelte-hxfoux"&&(Fr.innerHTML=un),ps.forEach(t),Jo=s(e),Ft=o(e,"P",{"data-svelte-h":!0}),c(Ft)!=="svelte-jv0r"&&(Ft.textContent=nn),Oo=s(e),Gt=o(e,"P",{"data-svelte-h":!0}),c(Gt)!=="svelte-jhtbo2"&&(Gt.innerHTML=dn),Vo=s(e),Wo=o(e,"HR",{}),Fo=s(e),Xt=o(e,"A",{id:!0,class:!0}),n(Xt).forEach(t),Go=s(e),I=o(e,"H3",{class:!0});var fs=n(I);ce=o(fs,"A",{id:!0,class:!0,href:!0});var kd=n(ce);$l=o(kd,"SPAN",{});var yd=n($l);p(Yt.$$.fragment,yd),yd.forEach(t),kd.forEach(t),Ks=s(fs),Gr=o(fs,"SPAN",{"data-svelte-h":!0}),c(Gr)!=="svelte-vk1xqw"&&(Gr.innerHTML=cn),fs.forEach(t),Xo=s(e),Zt=o(e,"P",{"data-svelte-h":!0}),c(Zt)!=="svelte-1n9zjoi"&&(Zt.innerHTML=hn),Yo=s(e),er=o(e,"TABLE",{"data-svelte-h":!0}),c(er)!=="svelte-6nufyb"&&(er.innerHTML=pn),Zo=s(e),ea=o(e,"HR",{}),ta=s(e),tr=o(e,"A",{id:!0,class:!0}),n(tr).forEach(t),ra=s(e),z=o(e,"H3",{class:!0});var vs=n(z);he=o(vs,"A",{id:!0,class:!0,href:!0});var wd=n(he);Cl=o(wd,"SPAN",{});var xd=n(Cl);p(rr.$$.fragment,xd),xd.forEach(t),wd.forEach(t),Ds=s(vs),Xr=o(vs,"SPAN",{"data-svelte-h":!0}),c(Xr)!=="svelte-s7zbb8"&&(Xr.innerHTML=fn),vs.forEach(t),la=s(e),lr=o(e,"P",{"data-svelte-h":!0}),c(lr)!=="svelte-1oso32i"&&(lr.innerHTML=vn),ia=s(e),oa=o(e,"HR",{}),aa=s(e),ir=o(e,"A",{id:!0,class:!0}),n(ir).forEach(t),sa=s(e),j=o(e,"H3",{class:!0});var ms=n(j);pe=o(ms,"A",{id:!0,class:!0,href:!0});var Ld=n(pe);bl=o(Ld,"SPAN",{});var $d=n(bl);p(or.$$.fragment,$d),$d.forEach(t),Ld.forEach(t),Bs=s(ms),Yr=o(ms,"SPAN",{"data-svelte-h":!0}),c(Yr)!=="svelte-12sj8kf"&&(Yr.innerHTML=mn),ms.forEach(t),ua=s(e),ar=o(e,"P",{"data-svelte-h":!0}),c(ar)!=="svelte-1oso32i"&&(ar.innerHTML=Tn),na=s(e),da=o(e,"HR",{}),ca=s(e),sr=o(e,"A",{id:!0,class:!0}),n(sr).forEach(t),ha=s(e),K=o(e,"H2",{class:!0});var Ts=n(K);fe=o(Ts,"A",{id:!0,class:!0,href:!0});var Cd=n(fe);Hl=o(Cd,"SPAN",{});var bd=n(Hl);p(ur.$$.fragment,bd),bd.forEach(t),Cd.forEach(t),Us=s(Ts),Zr=o(Ts,"SPAN",{"data-svelte-h":!0}),c(Zr)!=="svelte-8qbkoo"&&(Zr.textContent=_n),Ts.forEach(t),pa=s(e),nr=o(e,"P",{"data-svelte-h":!0}),c(nr)!=="svelte-1auz3rh"&&(nr.textContent=kn),fa=s(e),dr=o(e,"P",{"data-svelte-h":!0}),c(dr)!=="svelte-1p9ver0"&&(dr.innerHTML=yn),va=s(e),cr=o(e,"UL",{"data-svelte-h":!0}),c(cr)!=="svelte-4v7sww"&&(cr.innerHTML=wn),ma=s(e),Ta=o(e,"HR",{}),_a=s(e),hr=o(e,"A",{id:!0,class:!0}),n(hr).forEach(t),ka=s(e),D=o(e,"H3",{class:!0});var _s=n(D);ve=o(_s,"A",{id:!0,class:!0,href:!0});var Hd=n(ve);Pl=o(Hd,"SPAN",{});var Pd=n(Pl);p(pr.$$.fragment,Pd),Pd.forEach(t),Hd.forEach(t),Js=s(_s),el=o(_s,"SPAN",{"data-svelte-h":!0}),c(el)!=="svelte-ejg36q"&&(el.innerHTML=xn),_s.forEach(t),ya=s(e),fr=o(e,"P",{"data-svelte-h":!0}),c(fr)!=="svelte-mt1jex"&&(fr.textContent=Ln),wa=s(e),vr=o(e,"TABLE",{"data-svelte-h":!0}),c(vr)!=="svelte-nk427c"&&(vr.innerHTML=$n),xa=s(e),La=o(e,"HR",{}),$a=s(e),mr=o(e,"A",{id:!0,class:!0}),n(mr).forEach(t),Ca=s(e),B=o(e,"H3",{class:!0});var ks=n(B);me=o(ks,"A",{id:!0,class:!0,href:!0});var Ad=n(me);Al=o(Ad,"SPAN",{});var Md=n(Al);p(Tr.$$.fragment,Md),Md.forEach(t),Ad.forEach(t),Os=s(ks),tl=o(ks,"SPAN",{"data-svelte-h":!0}),c(tl)!=="svelte-1hkhbbl"&&(tl.innerHTML=Cn),ks.forEach(t),ba=s(e),_r=o(e,"P",{"data-svelte-h":!0}),c(_r)!=="svelte-9cjdkj"&&(_r.innerHTML=bn),Ha=s(e),kr=o(e,"P",{"data-svelte-h":!0}),c(kr)!=="svelte-3pigfy"&&(kr.innerHTML=Hn),Pa=s(e),Aa=o(e,"HR",{}),Ma=s(e),yr=o(e,"A",{id:!0,class:!0}),n(yr).forEach(t),Ea=s(e),U=o(e,"H2",{class:!0});var ys=n(U);Te=o(ys,"A",{id:!0,class:!0,href:!0});var Ed=n(Te);Ml=o(Ed,"SPAN",{});var Nd=n(Ml);p(wr.$$.fragment,Nd),Nd.forEach(t),Ed.forEach(t),Vs=s(ys),rl=o(ys,"SPAN",{"data-svelte-h":!0}),c(rl)!=="svelte-z2i7qv"&&(rl.textContent=Pn),ys.forEach(t),Na=s(e),xr=o(e,"P",{"data-svelte-h":!0}),c(xr)!=="svelte-1p9ver0"&&(xr.innerHTML=An),ga=s(e),Lr=o(e,"UL",{"data-svelte-h":!0}),c(Lr)!=="svelte-r6qh2h"&&(Lr.innerHTML=Mn),qa=s(e),Sa=o(e,"HR",{}),Qa=s(e),$r=o(e,"A",{id:!0,class:!0}),n($r).forEach(t),Ra=s(e),J=o(e,"H3",{class:!0});var ws=n(J);_e=o(ws,"A",{id:!0,class:!0,href:!0});var gd=n(_e);El=o(gd,"SPAN",{});var qd=n(El);p(Cr.$$.fragment,qd),qd.forEach(t),gd.forEach(t),Ws=s(ws),ll=o(ws,"SPAN",{"data-svelte-h":!0}),c(ll)!=="svelte-ecvhdx"&&(ll.innerHTML=En),ws.forEach(t),Ia=s(e),br=o(e,"P",{"data-svelte-h":!0}),c(br)!=="svelte-vrhdhn"&&(br.textContent=Nn),za=s(e),Hr=o(e,"TABLE",{"data-svelte-h":!0}),c(Hr)!=="svelte-5ahzuq"&&(Hr.innerHTML=gn),ja=s(e),Ka=o(e,"HR",{}),Da=s(e),Pr=o(e,"A",{id:!0,class:!0}),n(Pr).forEach(t),Ba=s(e),O=o(e,"H3",{class:!0});var xs=n(O);ke=o(xs,"A",{id:!0,class:!0,href:!0});var Sd=n(ke);Nl=o(Sd,"SPAN",{});var Qd=n(Nl);p(Ar.$$.fragment,Qd),Qd.forEach(t),Sd.forEach(t),Fs=s(xs),il=o(xs,"SPAN",{"data-svelte-h":!0}),c(il)!=="svelte-9qfizt"&&(il.innerHTML=qn),xs.forEach(t),Ua=s(e),Mr=o(e,"P",{"data-svelte-h":!0}),c(Mr)!=="svelte-34g670"&&(Mr.textContent=Sn),Ja=s(e),Er=o(e,"P",{"data-svelte-h":!0}),c(Er)!=="svelte-7303j9"&&(Er.innerHTML=Qn),Oa=s(e),Va=o(e,"HR",{}),Wa=s(e),gl=o(e,"P",{}),n(gl).forEach(t),this.h()},h(){u(k,"name","hf:doc:metadata"),u(k,"content",JSON.stringify(Ud)),u(ye,"id","module_utils/data-structures"),u(ye,"class","group"),u(V,"id","utilsdatastructures"),u(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(V,"href","#utilsdatastructures"),u(y,"class","relative group"),u(Ce,"id","module_utils/data-structures.PriorityQueue"),u(Ce,"class","group"),u(W,"id","utilsdatastructurespriorityqueue"),u(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(W,"href","#utilsdatastructurespriorityqueue"),u(w,"class","relative group"),u(Ne,"id","new_module_utils/data-structures.PriorityQueue_new"),u(Ne,"class","group"),u(F,"id","new-priorityqueuecomparator"),u(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(F,"href","#new-priorityqueuecomparator"),u(x,"class","relative group"),u(Qe,"id","module_utils/data-structures.PriorityQueue+size"),u(Qe,"class","group"),u(G,"id","priorityqueuesize"),u(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(G,"href","#priorityqueuesize"),u(L,"class","relative group"),u(je,"id","module_utils/data-structures.PriorityQueue+isEmpty"),u(je,"class","group"),u(X,"id","priorityqueueisempty-codebooleancode"),u(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(X,"href","#priorityqueueisempty-codebooleancode"),u($,"class","relative group"),u(Ue,"id","module_utils/data-structures.PriorityQueue+peek"),u(Ue,"class","group"),u(Y,"id","priorityqueuepeek-codeanycode"),u(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Y,"href","#priorityqueuepeek-codeanycode"),u(C,"class","relative group"),u(We,"id","module_utils/data-structures.PriorityQueue+push"),u(We,"class","group"),u(Z,"id","priorityqueuepushvalues-codenumbercode"),u(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Z,"href","#priorityqueuepushvalues-codenumbercode"),u(b,"class","relative group"),u(Ze,"id","module_utils/data-structures.PriorityQueue+extend"),u(Ze,"class","group"),u(ee,"id","priorityqueueextendvalues-codenumbercode"),u(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ee,"href","#priorityqueueextendvalues-codenumbercode"),u(H,"class","relative group"),u(it,"id","module_utils/data-structures.PriorityQueue+pop"),u(it,"class","group"),u(te,"id","priorityqueuepop-codeanycode"),u(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(te,"href","#priorityqueuepop-codeanycode"),u(P,"class","relative group"),u(ut,"id","module_utils/data-structures.PriorityQueue+replace"),u(ut,"class","group"),u(re,"id","priorityqueuereplacevalue-codecode"),u(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(re,"href","#priorityqueuereplacevalue-codecode"),u(A,"class","relative group"),u(pt,"id","module_utils/data-structures.CharTrie"),u(pt,"class","group"),u(le,"id","utilsdatastructureschartrie"),u(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(le,"href","#utilsdatastructureschartrie"),u(M,"class","relative group"),u(_t,"id","module_utils/data-structures.CharTrie+extend"),u(_t,"class","group"),u(ie,"id","chartrieextendtexts"),u(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ie,"href","#chartrieextendtexts"),u(E,"class","relative group"),u(Lt,"id","module_utils/data-structures.CharTrie+push"),u(Lt,"class","group"),u(oe,"id","chartriepushtext"),u(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(oe,"href","#chartriepushtext"),u(N,"class","relative group"),u(Pt,"id","module_utils/data-structures.CharTrie+commonPrefixSearch"),u(Pt,"class","group"),u(ae,"id","chartriecommonprefixsearchtext"),u(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ae,"href","#chartriecommonprefixsearchtext"),u(g,"class","relative group"),u(gt,"id","module_utils/data-structures.TokenLattice"),u(gt,"class","group"),u(se,"id","utilsdatastructurestokenlattice"),u(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(se,"href","#utilsdatastructurestokenlattice"),u(q,"class","relative group"),u(It,"id","new_module_utils/data-structures.TokenLattice_new"),u(It,"class","group"),u(ue,"id","new-tokenlatticesentence-bostokenid-eostokenid"),u(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ue,"href","#new-tokenlatticesentence-bostokenid-eostokenid"),u(S,"class","relative group"),u(Dt,"id","module_utils/data-structures.TokenLattice+insert"),u(Dt,"class","group"),u(ne,"id","tokenlatticeinsertpos-length-score-tokenid"),u(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ne,"href","#tokenlatticeinsertpos-length-score-tokenid"),u(Q,"class","relative group"),u(Vt,"id","module_utils/data-structures.TokenLattice+viterbi"),u(Vt,"class","group"),u(de,"id","tokenlatticeviterbi-codearrayamplttokenlatticenodeampgtcode"),u(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(de,"href","#tokenlatticeviterbi-codearrayamplttokenlatticenodeampgtcode"),u(R,"class","relative group"),u(Xt,"id","module_utils/data-structures.TokenLattice+piece"),u(Xt,"class","group"),u(ce,"id","tokenlatticepiecenode-codestringcode"),u(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ce,"href","#tokenlatticepiecenode-codestringcode"),u(I,"class","relative group"),u(tr,"id","module_utils/data-structures.TokenLattice+tokens"),u(tr,"class","group"),u(he,"id","tokenlatticetokens-codearraycode"),u(he,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(he,"href","#tokenlatticetokens-codearraycode"),u(z,"class","relative group"),u(ir,"id","module_utils/data-structures.TokenLattice+tokenIds"),u(ir,"class","group"),u(pe,"id","tokenlatticetokenids-codearraycode"),u(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(pe,"href","#tokenlatticetokenids-codearraycode"),u(j,"class","relative group"),u(sr,"id","module_utils/data-structures..CharTrieNode"),u(sr,"class","group"),u(fe,"id","utilsdatastructureschartrienode"),u(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(fe,"href","#utilsdatastructureschartrienode"),u(K,"class","relative group"),u(hr,"id","new_module_utils/data-structures..CharTrieNode_new"),u(hr,"class","group"),u(ve,"id","new-chartrienodeisleaf-children"),u(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ve,"href","#new-chartrienodeisleaf-children"),u(D,"class","relative group"),u(mr,"id","module_utils/data-structures..CharTrieNode.default"),u(mr,"class","group"),u(me,"id","chartrienodedefault-codechartrienodecode"),u(me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(me,"href","#chartrienodedefault-codechartrienodecode"),u(B,"class","relative group"),u(yr,"id","module_utils/data-structures..TokenLatticeNode"),u(yr,"class","group"),u(Te,"id","utilsdatastructurestokenlatticenode"),u(Te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Te,"href","#utilsdatastructurestokenlatticenode"),u(U,"class","relative group"),u($r,"id","new_module_utils/data-structures..TokenLatticeNode_new"),u($r,"class","group"),u(_e,"id","new-tokenlatticenodetokenid-nodeid-pos-length-score"),u(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(_e,"href","#new-tokenlatticenodetokenid-nodeid-pos-length-score"),u(J,"class","relative group"),u(Pr,"id","module_utils/data-structures..TokenLatticeNode+clone"),u(Pr,"class","group"),u(ke,"id","tokenlatticenodeclone-codetokenlatticenodecode"),u(ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ke,"href","#tokenlatticenodeclone-codetokenlatticenodecode"),u(O,"class","relative group")},m(e,r){d(document.head,k),l(e,ql,r),l(e,ol,r),l(e,Sl,r),l(e,ye,r),l(e,Ql,r),l(e,y,r),d(y,V),d(V,al),f(we,al,null),d(y,Ls),d(y,Nr),l(e,Rl,r),l(e,xe,r),l(e,Il,r),l(e,Le,r),l(e,zl,r),l(e,$e,r),l(e,jl,r),l(e,Kl,r),l(e,Dl,r),l(e,Ce,r),l(e,Bl,r),l(e,w,r),d(w,W),d(W,sl),f(be,sl,null),d(w,$s),d(w,gr),l(e,Ul,r),l(e,He,r),l(e,Jl,r),l(e,Pe,r),l(e,Ol,r),l(e,Ae,r),l(e,Vl,r),l(e,Me,r),l(e,Wl,r),l(e,Ee,r),l(e,Fl,r),l(e,Gl,r),l(e,Xl,r),l(e,Ne,r),l(e,Yl,r),l(e,x,r),d(x,F),d(F,ul),f(ge,ul,null),d(x,Cs),d(x,qr),l(e,Zl,r),l(e,qe,r),l(e,ei,r),l(e,Se,r),l(e,ti,r),l(e,ri,r),l(e,li,r),l(e,Qe,r),l(e,ii,r),l(e,L,r),d(L,G),d(G,nl),f(Re,nl,null),d(L,bs),d(L,Sr),l(e,oi,r),l(e,Ie,r),l(e,ai,r),l(e,ze,r),l(e,si,r),l(e,ui,r),l(e,ni,r),l(e,je,r),l(e,di,r),l(e,$,r),d($,X),d(X,dl),f(Ke,dl,null),d($,Hs),d($,Qr),l(e,ci,r),l(e,De,r),l(e,hi,r),l(e,Be,r),l(e,pi,r),l(e,fi,r),l(e,vi,r),l(e,Ue,r),l(e,mi,r),l(e,C,r),d(C,Y),d(Y,cl),f(Je,cl,null),d(C,Ps),d(C,Rr),l(e,Ti,r),l(e,Oe,r),l(e,_i,r),l(e,Ve,r),l(e,ki,r),l(e,yi,r),l(e,wi,r),l(e,We,r),l(e,xi,r),l(e,b,r),d(b,Z),d(Z,hl),f(Fe,hl,null),d(b,As),d(b,Ir),l(e,Li,r),l(e,Ge,r),l(e,$i,r),l(e,Xe,r),l(e,Ci,r),l(e,Ye,r),l(e,bi,r),l(e,Hi,r),l(e,Pi,r),l(e,Ze,r),l(e,Ai,r),l(e,H,r),d(H,ee),d(ee,pl),f(et,pl,null),d(H,Ms),d(H,zr),l(e,Mi,r),l(e,tt,r),l(e,Ei,r),l(e,rt,r),l(e,Ni,r),l(e,lt,r),l(e,gi,r),l(e,qi,r),l(e,Si,r),l(e,it,r),l(e,Qi,r),l(e,P,r),d(P,te),d(te,fl),f(ot,fl,null),d(P,Es),d(P,jr),l(e,Ri,r),l(e,at,r),l(e,Ii,r),l(e,st,r),l(e,zi,r),l(e,ji,r),l(e,Ki,r),l(e,ut,r),l(e,Di,r),l(e,A,r),d(A,re),d(re,vl),f(nt,vl,null),d(A,Ns),d(A,Kr),l(e,Bi,r),l(e,dt,r),l(e,Ui,r),l(e,ct,r),l(e,Ji,r),l(e,ht,r),l(e,Oi,r),l(e,Vi,r),l(e,Wi,r),l(e,pt,r),l(e,Fi,r),l(e,M,r),d(M,le),d(le,ml),f(ft,ml,null),d(M,gs),d(M,Dr),l(e,Gi,r),l(e,vt,r),l(e,Xi,r),l(e,mt,r),l(e,Yi,r),l(e,Tt,r),l(e,Zi,r),l(e,eo,r),l(e,to,r),l(e,_t,r),l(e,ro,r),l(e,E,r),d(E,ie),d(ie,Tl),f(kt,Tl,null),d(E,qs),d(E,Br),l(e,lo,r),l(e,yt,r),l(e,io,r),l(e,wt,r),l(e,oo,r),l(e,xt,r),l(e,ao,r),l(e,so,r),l(e,uo,r),l(e,Lt,r),l(e,no,r),l(e,N,r),d(N,oe),d(oe,_l),f($t,_l,null),d(N,Ss),d(N,Ur),l(e,co,r),l(e,Ct,r),l(e,ho,r),l(e,bt,r),l(e,po,r),l(e,Ht,r),l(e,fo,r),l(e,vo,r),l(e,mo,r),l(e,Pt,r),l(e,To,r),l(e,g,r),d(g,ae),d(ae,kl),f(At,kl,null),d(g,Qs),d(g,Jr),l(e,_o,r),l(e,Mt,r),l(e,ko,r),l(e,Et,r),l(e,yo,r),l(e,Nt,r),l(e,wo,r),l(e,xo,r),l(e,Lo,r),l(e,gt,r),l(e,$o,r),l(e,q,r),d(q,se),d(se,yl),f(qt,yl,null),d(q,Rs),d(q,Or),l(e,Co,r),l(e,St,r),l(e,bo,r),l(e,Qt,r),l(e,Ho,r),l(e,Rt,r),l(e,Po,r),l(e,Ao,r),l(e,Mo,r),l(e,It,r),l(e,Eo,r),l(e,S,r),d(S,ue),d(ue,wl),f(zt,wl,null),d(S,Is),d(S,Vr),l(e,No,r),l(e,jt,r),l(e,go,r),l(e,Kt,r),l(e,qo,r),l(e,So,r),l(e,Qo,r),l(e,Dt,r),l(e,Ro,r),l(e,Q,r),d(Q,ne),d(ne,xl),f(Bt,xl,null),d(Q,zs),d(Q,Wr),l(e,Io,r),l(e,Ut,r),l(e,zo,r),l(e,Jt,r),l(e,jo,r),l(e,Ot,r),l(e,Ko,r),l(e,Do,r),l(e,Bo,r),l(e,Vt,r),l(e,Uo,r),l(e,R,r),d(R,de),d(de,Ll),f(Wt,Ll,null),d(R,js),d(R,Fr),l(e,Jo,r),l(e,Ft,r),l(e,Oo,r),l(e,Gt,r),l(e,Vo,r),l(e,Wo,r),l(e,Fo,r),l(e,Xt,r),l(e,Go,r),l(e,I,r),d(I,ce),d(ce,$l),f(Yt,$l,null),d(I,Ks),d(I,Gr),l(e,Xo,r),l(e,Zt,r),l(e,Yo,r),l(e,er,r),l(e,Zo,r),l(e,ea,r),l(e,ta,r),l(e,tr,r),l(e,ra,r),l(e,z,r),d(z,he),d(he,Cl),f(rr,Cl,null),d(z,Ds),d(z,Xr),l(e,la,r),l(e,lr,r),l(e,ia,r),l(e,oa,r),l(e,aa,r),l(e,ir,r),l(e,sa,r),l(e,j,r),d(j,pe),d(pe,bl),f(or,bl,null),d(j,Bs),d(j,Yr),l(e,ua,r),l(e,ar,r),l(e,na,r),l(e,da,r),l(e,ca,r),l(e,sr,r),l(e,ha,r),l(e,K,r),d(K,fe),d(fe,Hl),f(ur,Hl,null),d(K,Us),d(K,Zr),l(e,pa,r),l(e,nr,r),l(e,fa,r),l(e,dr,r),l(e,va,r),l(e,cr,r),l(e,ma,r),l(e,Ta,r),l(e,_a,r),l(e,hr,r),l(e,ka,r),l(e,D,r),d(D,ve),d(ve,Pl),f(pr,Pl,null),d(D,Js),d(D,el),l(e,ya,r),l(e,fr,r),l(e,wa,r),l(e,vr,r),l(e,xa,r),l(e,La,r),l(e,$a,r),l(e,mr,r),l(e,Ca,r),l(e,B,r),d(B,me),d(me,Al),f(Tr,Al,null),d(B,Os),d(B,tl),l(e,ba,r),l(e,_r,r),l(e,Ha,r),l(e,kr,r),l(e,Pa,r),l(e,Aa,r),l(e,Ma,r),l(e,yr,r),l(e,Ea,r),l(e,U,r),d(U,Te),d(Te,Ml),f(wr,Ml,null),d(U,Vs),d(U,rl),l(e,Na,r),l(e,xr,r),l(e,ga,r),l(e,Lr,r),l(e,qa,r),l(e,Sa,r),l(e,Qa,r),l(e,$r,r),l(e,Ra,r),l(e,J,r),d(J,_e),d(_e,El),f(Cr,El,null),d(J,Ws),d(J,ll),l(e,Ia,r),l(e,br,r),l(e,za,r),l(e,Hr,r),l(e,ja,r),l(e,Ka,r),l(e,Da,r),l(e,Pr,r),l(e,Ba,r),l(e,O,r),d(O,ke),d(ke,Nl),f(Ar,Nl,null),d(O,Fs),d(O,il),l(e,Ua,r),l(e,Mr,r),l(e,Ja,r),l(e,Er,r),l(e,Oa,r),l(e,Va,r),l(e,Wa,r),l(e,gl,r),Fa=!0},p:Id,i(e){Fa||(v(we.$$.fragment,e),v(be.$$.fragment,e),v(ge.$$.fragment,e),v(Re.$$.fragment,e),v(Ke.$$.fragment,e),v(Je.$$.fragment,e),v(Fe.$$.fragment,e),v(et.$$.fragment,e),v(ot.$$.fragment,e),v(nt.$$.fragment,e),v(ft.$$.fragment,e),v(kt.$$.fragment,e),v($t.$$.fragment,e),v(At.$$.fragment,e),v(qt.$$.fragment,e),v(zt.$$.fragment,e),v(Bt.$$.fragment,e),v(Wt.$$.fragment,e),v(Yt.$$.fragment,e),v(rr.$$.fragment,e),v(or.$$.fragment,e),v(ur.$$.fragment,e),v(pr.$$.fragment,e),v(Tr.$$.fragment,e),v(wr.$$.fragment,e),v(Cr.$$.fragment,e),v(Ar.$$.fragment,e),Fa=!0)},o(e){m(we.$$.fragment,e),m(be.$$.fragment,e),m(ge.$$.fragment,e),m(Re.$$.fragment,e),m(Ke.$$.fragment,e),m(Je.$$.fragment,e),m(Fe.$$.fragment,e),m(et.$$.fragment,e),m(ot.$$.fragment,e),m(nt.$$.fragment,e),m(ft.$$.fragment,e),m(kt.$$.fragment,e),m($t.$$.fragment,e),m(At.$$.fragment,e),m(qt.$$.fragment,e),m(zt.$$.fragment,e),m(Bt.$$.fragment,e),m(Wt.$$.fragment,e),m(Yt.$$.fragment,e),m(rr.$$.fragment,e),m(or.$$.fragment,e),m(ur.$$.fragment,e),m(pr.$$.fragment,e),m(Tr.$$.fragment,e),m(wr.$$.fragment,e),m(Cr.$$.fragment,e),m(Ar.$$.fragment,e),Fa=!1},d(e){e&&(t(ql),t(ol),t(Sl),t(ye),t(Ql),t(y),t(Rl),t(xe),t(Il),t(Le),t(zl),t($e),t(jl),t(Kl),t(Dl),t(Ce),t(Bl),t(w),t(Ul),t(He),t(Jl),t(Pe),t(Ol),t(Ae),t(Vl),t(Me),t(Wl),t(Ee),t(Fl),t(Gl),t(Xl),t(Ne),t(Yl),t(x),t(Zl),t(qe),t(ei),t(Se),t(ti),t(ri),t(li),t(Qe),t(ii),t(L),t(oi),t(Ie),t(ai),t(ze),t(si),t(ui),t(ni),t(je),t(di),t($),t(ci),t(De),t(hi),t(Be),t(pi),t(fi),t(vi),t(Ue),t(mi),t(C),t(Ti),t(Oe),t(_i),t(Ve),t(ki),t(yi),t(wi),t(We),t(xi),t(b),t(Li),t(Ge),t($i),t(Xe),t(Ci),t(Ye),t(bi),t(Hi),t(Pi),t(Ze),t(Ai),t(H),t(Mi),t(tt),t(Ei),t(rt),t(Ni),t(lt),t(gi),t(qi),t(Si),t(it),t(Qi),t(P),t(Ri),t(at),t(Ii),t(st),t(zi),t(ji),t(Ki),t(ut),t(Di),t(A),t(Bi),t(dt),t(Ui),t(ct),t(Ji),t(ht),t(Oi),t(Vi),t(Wi),t(pt),t(Fi),t(M),t(Gi),t(vt),t(Xi),t(mt),t(Yi),t(Tt),t(Zi),t(eo),t(to),t(_t),t(ro),t(E),t(lo),t(yt),t(io),t(wt),t(oo),t(xt),t(ao),t(so),t(uo),t(Lt),t(no),t(N),t(co),t(Ct),t(ho),t(bt),t(po),t(Ht),t(fo),t(vo),t(mo),t(Pt),t(To),t(g),t(_o),t(Mt),t(ko),t(Et),t(yo),t(Nt),t(wo),t(xo),t(Lo),t(gt),t($o),t(q),t(Co),t(St),t(bo),t(Qt),t(Ho),t(Rt),t(Po),t(Ao),t(Mo),t(It),t(Eo),t(S),t(No),t(jt),t(go),t(Kt),t(qo),t(So),t(Qo),t(Dt),t(Ro),t(Q),t(Io),t(Ut),t(zo),t(Jt),t(jo),t(Ot),t(Ko),t(Do),t(Bo),t(Vt),t(Uo),t(R),t(Jo),t(Ft),t(Oo),t(Gt),t(Vo),t(Wo),t(Fo),t(Xt),t(Go),t(I),t(Xo),t(Zt),t(Yo),t(er),t(Zo),t(ea),t(ta),t(tr),t(ra),t(z),t(la),t(lr),t(ia),t(oa),t(aa),t(ir),t(sa),t(j),t(ua),t(ar),t(na),t(da),t(ca),t(sr),t(ha),t(K),t(pa),t(nr),t(fa),t(dr),t(va),t(cr),t(ma),t(Ta),t(_a),t(hr),t(ka),t(D),t(ya),t(fr),t(wa),t(vr),t(xa),t(La),t($a),t(mr),t(Ca),t(B),t(ba),t(_r),t(Ha),t(kr),t(Pa),t(Aa),t(Ma),t(yr),t(Ea),t(U),t(Na),t(xr),t(ga),t(Lr),t(qa),t(Sa),t(Qa),t($r),t(Ra),t(J),t(Ia),t(br),t(za),t(Hr),t(ja),t(Ka),t(Da),t(Pr),t(Ba),t(O),t(Ua),t(Mr),t(Ja),t(Er),t(Oa),t(Va),t(Wa),t(gl)),t(k),T(we),T(be),T(ge),T(Re),T(Ke),T(Je),T(Fe),T(et),T(ot),T(nt),T(ft),T(kt),T($t),T(At),T(qt),T(zt),T(Bt),T(Wt),T(Yt),T(rr),T(or),T(ur),T(pr),T(Tr),T(wr),T(Cr),T(Ar)}}}const Ud={local:"utilsdatastructures",sections:[{local:"utilsdatastructurespriorityqueue",sections:[{local:"new-priorityqueuecomparator",title:"`new PriorityQueue(comparator)`"},{local:"priorityqueuesize",title:"`priorityQueue.size`"},{local:"priorityqueueisempty-codebooleancode",title:"`priorityQueue.isEmpty()` ⇒ <code>boolean</code>"},{local:"priorityqueuepeek-codeanycode",title:"`priorityQueue.peek()` ⇒ <code>any</code>"},{local:"priorityqueuepushvalues-codenumbercode",title:"`priorityQueue.push(...values)` ⇒ <code>number</code>"},{local:"priorityqueueextendvalues-codenumbercode",title:"`priorityQueue.extend(values)` ⇒ <code>number</code>"},{local:"priorityqueuepop-codeanycode",title:"`priorityQueue.pop()` ⇒ <code>any</code>"},{local:"priorityqueuereplacevalue-codecode",title:"`priorityQueue.replace(value)` ⇒ <code>*</code>"}],title:"utils/data-structures.PriorityQueue"},{local:"utilsdatastructureschartrie",sections:[{local:"chartrieextendtexts",title:"`charTrie.extend(texts)`"},{local:"chartriepushtext",title:"`charTrie.push(text)`"},{local:"chartriecommonprefixsearchtext",title:"`charTrie.commonPrefixSearch(text)`"}],title:"utils/data-structures.CharTrie"},{local:"utilsdatastructurestokenlattice",sections:[{local:"new-tokenlatticesentence-bostokenid-eostokenid",title:"`new TokenLattice(sentence, bosTokenId, eosTokenId)`"},{local:"tokenlatticeinsertpos-length-score-tokenid",title:"`tokenLattice.insert(pos, length, score, tokenId)`"},{local:"tokenlatticeviterbi-codearrayamplttokenlatticenodeampgtcode",title:"`tokenLattice.viterbi()` ⇒ <code>Array.&lt;TokenLatticeNode&gt;</code>"},{local:"tokenlatticepiecenode-codestringcode",title:"`tokenLattice.piece(node)` ⇒ <code>string</code>"},{local:"tokenlatticetokens-codearraycode",title:"`tokenLattice.tokens()` ⇒ <code>Array</code>"},{local:"tokenlatticetokenids-codearraycode",title:"`tokenLattice.tokenIds()` ⇒ <code>Array</code>"}],title:"utils/data-structures.TokenLattice"},{local:"utilsdatastructureschartrienode",sections:[{local:"new-chartrienodeisleaf-children",title:"`new CharTrieNode(isLeaf, children)`"},{local:"chartrienodedefault-codechartrienodecode",title:"`CharTrieNode.default()` ⇒ <code>CharTrieNode</code>"}],title:"utils/data-structures~CharTrieNode"},{local:"utilsdatastructurestokenlatticenode",sections:[{local:"new-tokenlatticenodetokenid-nodeid-pos-length-score",title:"`new TokenLatticeNode(tokenId, nodeId, pos, length, score)`"},{local:"tokenlatticenodeclone-codetokenlatticenodecode",title:"`tokenLatticeNode.clone()` ⇒ <code>TokenLatticeNode</code>"}],title:"utils/data-structures~TokenLatticeNode"}],title:"utils/data-structures"};function Jd(Gs){return zd(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Fd extends jd{constructor(k){super(),Kd(this,k,Jd,Bd,Rd,{})}}export{Fd as component};
