import{s as To,n as $o,o as yo}from"../chunks/scheduler.b108d059.js";import{S as xo,i as Co,g as i,s as r,u as c,A as Ho,h as o,f as t,c as s,j as n,v as u,y as h,k as d,o as m,a as l,w as p,d as g,t as f,x as w}from"../chunks/index.a9288bc5.js";import{I as v}from"../chunks/IconCopyLink.9df037eb.js";import{C as Po}from"../chunks/CodeBlock.e5258ef1.js";function Lo(Vl){let _,Nt,_t,St,D,jt,R,k,Rt,W,jl,ot,Fl="utils/image",Ut,Q,Xl="Helper module for image processing.",zt,V,ei=`These functions and classes are only used internally,
meaning an end-user shouldn’t need to access anything here.`,Bt,F,ti='<li><a href="#module_utils/image">utils/image</a><ul><li><a href="#module_utils/image.RawImage">.RawImage</a><ul><li><a href="#new_module_utils/image.RawImage_new"><code>new RawImage(data, width, height, channels)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/image.RawImage+_CONTENT_TYPE_MAP"><code>._CONTENT_TYPE_MAP</code></a></li> <li><a href="#module_utils/image.RawImage+grayscale"><code>.grayscale()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgb"><code>.rgb()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgba"><code>.rgba()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+resize"><code>.resize(width, height, options)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage+clone"><code>.clone()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+convert"><code>.convert(numChannels)</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+save"><code>.save(path)</code></a></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/image.RawImage.read"><code>.read(input)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage.fromURL"><code>.fromURL(url)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromBlob"><code>.fromBlob(blob)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li></ul></li></ul></li></ul></li>',Yt,Kt,qt,X,Jt,b,N,bt,ee,Ul,rt,ai="utils/image.RawImage",Ot,te,li='<strong>Kind</strong>: static class of <a href="#module_utils/image"><code>utils/image</code></a>',Zt,ae,ii='<li><a href="#module_utils/image.RawImage">.RawImage</a><ul><li><a href="#new_module_utils/image.RawImage_new"><code>new RawImage(data, width, height, channels)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/image.RawImage+_CONTENT_TYPE_MAP"><code>._CONTENT_TYPE_MAP</code></a></li> <li><a href="#module_utils/image.RawImage+grayscale"><code>.grayscale()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgb"><code>.rgb()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgba"><code>.rgba()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+resize"><code>.resize(width, height, options)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage+clone"><code>.clone()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+convert"><code>.convert(numChannels)</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+save"><code>.save(path)</code></a></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/image.RawImage.read"><code>.read(input)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage.fromURL"><code>.fromURL(url)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromBlob"><code>.fromBlob(blob)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li></ul></li></ul></li>',Gt,Dt,Wt,le,Qt,I,S,It,ie,zl,st,oi="<code>new RawImage(data, width, height, channels)</code>",Vt,oe,ri="Create a new <code>RawImage</code> object.",Ft,re,si="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Uint8ClampedArray</code></td><td><p>The pixel data.</p></td> </tr><tr><td>width</td><td><code>number</code></td><td><p>The width of the image.</p></td> </tr><tr><td>height</td><td><code>number</code></td><td><p>The height of the image.</p></td> </tr><tr><td>channels</td><td><code>1</code> | <code>2</code> | <code>3</code> | <code>4</code></td><td><p>The number of channels.</p></td></tr></tbody>",Xt,ea,ta,se,aa,T,j,Tt,de,Bl,dt,di="<code>rawImage._CONTENT_TYPE_MAP</code>",la,ne,ni="Mapping from file extensions to MIME types.",ia,me,mi='<strong>Kind</strong>: instance property of <a href="#module_utils/image.RawImage"><code>RawImage</code></a>',oa,ra,sa,he,da,$,U,$t,ce,Yl,nt,hi="<code>rawImage.grayscale()</code> ⇒ <code>RawImage</code>",na,ue,ci="Convert the image to grayscale format.",ma,pe,ui='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',ha,ca,ua,ge,pa,y,z,yt,fe,Kl,mt,pi="<code>rawImage.rgb()</code> ⇒ <code>RawImage</code>",ga,we,gi="Convert the image to RGB format.",fa,ve,fi='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',wa,va,_a,_e,Ra,x,B,xt,Re,ql,ht,wi="<code>rawImage.rgba()</code> ⇒ <code>RawImage</code>",ba,be,vi="Convert the image to RGBA format.",Ia,Ie,_i='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',Ta,$a,ya,Te,xa,C,Y,Ct,$e,Jl,ct,Ri="<code>rawImage.resize(width, height, options)</code> ⇒ <code>Promise.&lt;RawImage&gt;</code>",Ca,ye,bi="Resize the image to the given dimensions. This method uses the canvas API to perform the resizing.",Ha,xe,Ii='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - <code>this</code> to support chaining.',Pa,Ce,Ti="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>width</td><td><code>number</code></td><td><p>The width of the new image.</p></td> </tr><tr><td>height</td><td><code>number</code></td><td><p>The height of the new image.</p></td> </tr><tr><td>options</td><td><code>Object</code></td><td><p>Additional options for resizing.</p></td> </tr><tr><td>[options.resample]</td><td><code>0</code> | <code>1</code> | <code>2</code> | <code>3</code> | <code>4</code> | <code>5</code> | <code>string</code></td><td><p>The resampling method to use.</p></td></tr></tbody>",La,Ma,Ea,He,Aa,H,K,Ht,Pe,Ol,ut,$i="<code>rawImage.clone()</code> ⇒ <code>RawImage</code>",ka,Le,yi="Clone the image",Na,Me,xi='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - The cloned image',Sa,ja,Ua,Ee,za,P,q,Pt,Ae,Zl,pt,Ci="<code>rawImage.convert(numChannels)</code> ⇒ <code>RawImage</code>",Ba,ke,Hi="Helper method for converting image to have a certain number of channels",Ya,Ne,Pi='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',Ka,Se,Li="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>numChannels</td><td><code>number</code></td><td><p>The number of channels. Must be 1, 3, or 4.</p></td></tr></tbody>",qa,Ja,Oa,je,Za,L,J,Lt,Ue,Gl,gt,Mi="<code>rawImage.save(path)</code>",Ga,ze,Ei="Save the image to the given path.",Da,Be,Ai='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a>',Wa,Ye,ki="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>path</td><td><code>string</code></td><td><p>The path to save the image to.</p></td></tr></tbody>",Qa,Va,Fa,Ke,Xa,M,O,Mt,qe,Dl,ft,Ni="<code>RawImage.read(input)</code> ⇒ <code>*</code>",el,Je,Si="Helper method for reading an image from a variety of input types.",tl,Oe,ji='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>*</code> - The image object.',al,Ze,Ui="<strong>Example:</strong> Read image from a URL.",ll,Ge,il,De,zi="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>input</td><td><code>RawImage</code> | <code>string</code> | <code>URL</code></td></tr></tbody>",ol,rl,sl,We,dl,E,Z,Et,Qe,Wl,wt,Bi="<code>RawImage.fromURL(url)</code> ⇒ <code>Promise.&lt;RawImage&gt;</code>",nl,Ve,Yi="Read an image from a URL or file path.",ml,Fe,Ki='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - The image object.',hl,Xe,qi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>url</td><td><code>string</code> | <code>URL</code></td><td><p>The URL or file path to read the image from.</p></td></tr></tbody>",cl,ul,pl,et,gl,A,G,At,tt,Ql,vt,Ji="<code>RawImage.fromBlob(blob)</code> ⇒ <code>Promise.&lt;RawImage&gt;</code>",fl,at,Oi="Helper method to create a new Image from a blob.",wl,lt,Zi='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - The image object.',vl,it,Gi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>blob</td><td><code>Blob</code></td><td><p>The blob to read the image from.</p></td></tr></tbody>",_l,Rl,bl,kt,Il;return W=new v({}),ee=new v({}),ie=new v({}),de=new v({}),ce=new v({}),fe=new v({}),Re=new v({}),$e=new v({}),Pe=new v({}),Ae=new v({}),Ue=new v({}),qe=new v({}),Ge=new Po({props:{code:"bGV0JTIwaW1hZ2UlMjAlM0QlMjBhd2FpdCUyMFJhd0ltYWdlLnJlYWQoJ2h0dHBzJTNBJTJGJTJGaHVnZ2luZ2ZhY2UuY28lMkZkYXRhc2V0cyUyRlhlbm92YSUyRnRyYW5zZm9ybWVycy5qcy1kb2NzJTJGcmVzb2x2ZSUyRm1haW4lMkZmb290YmFsbC1tYXRjaC5qcGcnKSUzQiUwQSUyRiUyRiUyMHRlc3QlMjA=",highlighted:`<span class="hljs-keyword">let</span> image = <span class="hljs-keyword">await</span> <span class="hljs-title class_">RawImage</span>.<span class="hljs-title function_">read</span>(<span class="hljs-string">&#x27;https://huggingface.co/datasets/Xenova/transformers.js-docs/resolve/main/football-match.jpg&#x27;</span>);
<span class="hljs-comment">// test </span>`,wrap:!1}}),Qe=new v({}),tt=new v({}),{c(){_=i("meta"),Nt=r(),_t=i("p"),St=r(),D=i("a"),jt=r(),R=i("h1"),k=i("a"),Rt=i("span"),c(W.$$.fragment),jl=r(),ot=i("span"),ot.textContent=Fl,Ut=r(),Q=i("p"),Q.textContent=Xl,zt=r(),V=i("p"),V.textContent=ei,Bt=r(),F=i("ul"),F.innerHTML=ti,Yt=r(),Kt=i("hr"),qt=r(),X=i("a"),Jt=r(),b=i("h2"),N=i("a"),bt=i("span"),c(ee.$$.fragment),Ul=r(),rt=i("span"),rt.textContent=ai,Ot=r(),te=i("p"),te.innerHTML=li,Zt=r(),ae=i("ul"),ae.innerHTML=ii,Gt=r(),Dt=i("hr"),Wt=r(),le=i("a"),Qt=r(),I=i("h3"),S=i("a"),It=i("span"),c(ie.$$.fragment),zl=r(),st=i("span"),st.innerHTML=oi,Vt=r(),oe=i("p"),oe.innerHTML=ri,Ft=r(),re=i("table"),re.innerHTML=si,Xt=r(),ea=i("hr"),ta=r(),se=i("a"),aa=r(),T=i("h3"),j=i("a"),Tt=i("span"),c(de.$$.fragment),Bl=r(),dt=i("span"),dt.innerHTML=di,la=r(),ne=i("p"),ne.textContent=ni,ia=r(),me=i("p"),me.innerHTML=mi,oa=r(),ra=i("hr"),sa=r(),he=i("a"),da=r(),$=i("h3"),U=i("a"),$t=i("span"),c(ce.$$.fragment),Yl=r(),nt=i("span"),nt.innerHTML=hi,na=r(),ue=i("p"),ue.textContent=ci,ma=r(),pe=i("p"),pe.innerHTML=ui,ha=r(),ca=i("hr"),ua=r(),ge=i("a"),pa=r(),y=i("h3"),z=i("a"),yt=i("span"),c(fe.$$.fragment),Kl=r(),mt=i("span"),mt.innerHTML=pi,ga=r(),we=i("p"),we.textContent=gi,fa=r(),ve=i("p"),ve.innerHTML=fi,wa=r(),va=i("hr"),_a=r(),_e=i("a"),Ra=r(),x=i("h3"),B=i("a"),xt=i("span"),c(Re.$$.fragment),ql=r(),ht=i("span"),ht.innerHTML=wi,ba=r(),be=i("p"),be.textContent=vi,Ia=r(),Ie=i("p"),Ie.innerHTML=_i,Ta=r(),$a=i("hr"),ya=r(),Te=i("a"),xa=r(),C=i("h3"),Y=i("a"),Ct=i("span"),c($e.$$.fragment),Jl=r(),ct=i("span"),ct.innerHTML=Ri,Ca=r(),ye=i("p"),ye.textContent=bi,Ha=r(),xe=i("p"),xe.innerHTML=Ii,Pa=r(),Ce=i("table"),Ce.innerHTML=Ti,La=r(),Ma=i("hr"),Ea=r(),He=i("a"),Aa=r(),H=i("h3"),K=i("a"),Ht=i("span"),c(Pe.$$.fragment),Ol=r(),ut=i("span"),ut.innerHTML=$i,ka=r(),Le=i("p"),Le.textContent=yi,Na=r(),Me=i("p"),Me.innerHTML=xi,Sa=r(),ja=i("hr"),Ua=r(),Ee=i("a"),za=r(),P=i("h3"),q=i("a"),Pt=i("span"),c(Ae.$$.fragment),Zl=r(),pt=i("span"),pt.innerHTML=Ci,Ba=r(),ke=i("p"),ke.textContent=Hi,Ya=r(),Ne=i("p"),Ne.innerHTML=Pi,Ka=r(),Se=i("table"),Se.innerHTML=Li,qa=r(),Ja=i("hr"),Oa=r(),je=i("a"),Za=r(),L=i("h3"),J=i("a"),Lt=i("span"),c(Ue.$$.fragment),Gl=r(),gt=i("span"),gt.innerHTML=Mi,Ga=r(),ze=i("p"),ze.textContent=Ei,Da=r(),Be=i("p"),Be.innerHTML=Ai,Wa=r(),Ye=i("table"),Ye.innerHTML=ki,Qa=r(),Va=i("hr"),Fa=r(),Ke=i("a"),Xa=r(),M=i("h3"),O=i("a"),Mt=i("span"),c(qe.$$.fragment),Dl=r(),ft=i("span"),ft.innerHTML=Ni,el=r(),Je=i("p"),Je.textContent=Si,tl=r(),Oe=i("p"),Oe.innerHTML=ji,al=r(),Ze=i("p"),Ze.innerHTML=Ui,ll=r(),c(Ge.$$.fragment),il=r(),De=i("table"),De.innerHTML=zi,ol=r(),rl=i("hr"),sl=r(),We=i("a"),dl=r(),E=i("h3"),Z=i("a"),Et=i("span"),c(Qe.$$.fragment),Wl=r(),wt=i("span"),wt.innerHTML=Bi,nl=r(),Ve=i("p"),Ve.textContent=Yi,ml=r(),Fe=i("p"),Fe.innerHTML=Ki,hl=r(),Xe=i("table"),Xe.innerHTML=qi,cl=r(),ul=i("hr"),pl=r(),et=i("a"),gl=r(),A=i("h3"),G=i("a"),At=i("span"),c(tt.$$.fragment),Ql=r(),vt=i("span"),vt.innerHTML=Ji,fl=r(),at=i("p"),at.textContent=Oi,wl=r(),lt=i("p"),lt.innerHTML=Zi,vl=r(),it=i("table"),it.innerHTML=Gi,_l=r(),Rl=i("hr"),bl=r(),kt=i("p"),this.h()},l(e){const a=Ho("svelte-1phssyn",document.head);_=o(a,"META",{name:!0,content:!0}),a.forEach(t),Nt=s(e),_t=o(e,"P",{}),n(_t).forEach(t),St=s(e),D=o(e,"A",{id:!0,class:!0}),n(D).forEach(t),jt=s(e),R=o(e,"H1",{class:!0});var Tl=n(R);k=o(Tl,"A",{id:!0,class:!0,href:!0});var Di=n(k);Rt=o(Di,"SPAN",{});var Wi=n(Rt);u(W.$$.fragment,Wi),Wi.forEach(t),Di.forEach(t),jl=s(Tl),ot=o(Tl,"SPAN",{"data-svelte-h":!0}),h(ot)!=="svelte-xi6wf4"&&(ot.textContent=Fl),Tl.forEach(t),Ut=s(e),Q=o(e,"P",{"data-svelte-h":!0}),h(Q)!=="svelte-18hbqrt"&&(Q.textContent=Xl),zt=s(e),V=o(e,"P",{"data-svelte-h":!0}),h(V)!=="svelte-il3kl8"&&(V.textContent=ei),Bt=s(e),F=o(e,"UL",{"data-svelte-h":!0}),h(F)!=="svelte-u3qns4"&&(F.innerHTML=ti),Yt=s(e),Kt=o(e,"HR",{}),qt=s(e),X=o(e,"A",{id:!0,class:!0}),n(X).forEach(t),Jt=s(e),b=o(e,"H2",{class:!0});var $l=n(b);N=o($l,"A",{id:!0,class:!0,href:!0});var Qi=n(N);bt=o(Qi,"SPAN",{});var Vi=n(bt);u(ee.$$.fragment,Vi),Vi.forEach(t),Qi.forEach(t),Ul=s($l),rt=o($l,"SPAN",{"data-svelte-h":!0}),h(rt)!=="svelte-1fbdmyh"&&(rt.textContent=ai),$l.forEach(t),Ot=s(e),te=o(e,"P",{"data-svelte-h":!0}),h(te)!=="svelte-f7iksk"&&(te.innerHTML=li),Zt=s(e),ae=o(e,"UL",{"data-svelte-h":!0}),h(ae)!=="svelte-ns07o5"&&(ae.innerHTML=ii),Gt=s(e),Dt=o(e,"HR",{}),Wt=s(e),le=o(e,"A",{id:!0,class:!0}),n(le).forEach(t),Qt=s(e),I=o(e,"H3",{class:!0});var yl=n(I);S=o(yl,"A",{id:!0,class:!0,href:!0});var Fi=n(S);It=o(Fi,"SPAN",{});var Xi=n(It);u(ie.$$.fragment,Xi),Xi.forEach(t),Fi.forEach(t),zl=s(yl),st=o(yl,"SPAN",{"data-svelte-h":!0}),h(st)!=="svelte-gto965"&&(st.innerHTML=oi),yl.forEach(t),Vt=s(e),oe=o(e,"P",{"data-svelte-h":!0}),h(oe)!=="svelte-36fe9a"&&(oe.innerHTML=ri),Ft=s(e),re=o(e,"TABLE",{"data-svelte-h":!0}),h(re)!=="svelte-17p0s1v"&&(re.innerHTML=si),Xt=s(e),ea=o(e,"HR",{}),ta=s(e),se=o(e,"A",{id:!0,class:!0}),n(se).forEach(t),aa=s(e),T=o(e,"H3",{class:!0});var xl=n(T);j=o(xl,"A",{id:!0,class:!0,href:!0});var eo=n(j);Tt=o(eo,"SPAN",{});var to=n(Tt);u(de.$$.fragment,to),to.forEach(t),eo.forEach(t),Bl=s(xl),dt=o(xl,"SPAN",{"data-svelte-h":!0}),h(dt)!=="svelte-l7itwn"&&(dt.innerHTML=di),xl.forEach(t),la=s(e),ne=o(e,"P",{"data-svelte-h":!0}),h(ne)!=="svelte-15u13r6"&&(ne.textContent=ni),ia=s(e),me=o(e,"P",{"data-svelte-h":!0}),h(me)!=="svelte-x6zkun"&&(me.innerHTML=mi),oa=s(e),ra=o(e,"HR",{}),sa=s(e),he=o(e,"A",{id:!0,class:!0}),n(he).forEach(t),da=s(e),$=o(e,"H3",{class:!0});var Cl=n($);U=o(Cl,"A",{id:!0,class:!0,href:!0});var ao=n(U);$t=o(ao,"SPAN",{});var lo=n($t);u(ce.$$.fragment,lo),lo.forEach(t),ao.forEach(t),Yl=s(Cl),nt=o(Cl,"SPAN",{"data-svelte-h":!0}),h(nt)!=="svelte-17j17vj"&&(nt.innerHTML=hi),Cl.forEach(t),na=s(e),ue=o(e,"P",{"data-svelte-h":!0}),h(ue)!=="svelte-1owjjfe"&&(ue.textContent=ci),ma=s(e),pe=o(e,"P",{"data-svelte-h":!0}),h(pe)!=="svelte-11e9r18"&&(pe.innerHTML=ui),ha=s(e),ca=o(e,"HR",{}),ua=s(e),ge=o(e,"A",{id:!0,class:!0}),n(ge).forEach(t),pa=s(e),y=o(e,"H3",{class:!0});var Hl=n(y);z=o(Hl,"A",{id:!0,class:!0,href:!0});var io=n(z);yt=o(io,"SPAN",{});var oo=n(yt);u(fe.$$.fragment,oo),oo.forEach(t),io.forEach(t),Kl=s(Hl),mt=o(Hl,"SPAN",{"data-svelte-h":!0}),h(mt)!=="svelte-iok7d3"&&(mt.innerHTML=pi),Hl.forEach(t),ga=s(e),we=o(e,"P",{"data-svelte-h":!0}),h(we)!=="svelte-qyo04e"&&(we.textContent=gi),fa=s(e),ve=o(e,"P",{"data-svelte-h":!0}),h(ve)!=="svelte-11e9r18"&&(ve.innerHTML=fi),wa=s(e),va=o(e,"HR",{}),_a=s(e),_e=o(e,"A",{id:!0,class:!0}),n(_e).forEach(t),Ra=s(e),x=o(e,"H3",{class:!0});var Pl=n(x);B=o(Pl,"A",{id:!0,class:!0,href:!0});var ro=n(B);xt=o(ro,"SPAN",{});var so=n(xt);u(Re.$$.fragment,so),so.forEach(t),ro.forEach(t),ql=s(Pl),ht=o(Pl,"SPAN",{"data-svelte-h":!0}),h(ht)!=="svelte-1t6d6eg"&&(ht.innerHTML=wi),Pl.forEach(t),ba=s(e),be=o(e,"P",{"data-svelte-h":!0}),h(be)!=="svelte-19kp14j"&&(be.textContent=vi),Ia=s(e),Ie=o(e,"P",{"data-svelte-h":!0}),h(Ie)!=="svelte-11e9r18"&&(Ie.innerHTML=_i),Ta=s(e),$a=o(e,"HR",{}),ya=s(e),Te=o(e,"A",{id:!0,class:!0}),n(Te).forEach(t),xa=s(e),C=o(e,"H3",{class:!0});var Ll=n(C);Y=o(Ll,"A",{id:!0,class:!0,href:!0});var no=n(Y);Ct=o(no,"SPAN",{});var mo=n(Ct);u($e.$$.fragment,mo),mo.forEach(t),no.forEach(t),Jl=s(Ll),ct=o(Ll,"SPAN",{"data-svelte-h":!0}),h(ct)!=="svelte-1yrurj"&&(ct.innerHTML=Ri),Ll.forEach(t),Ca=s(e),ye=o(e,"P",{"data-svelte-h":!0}),h(ye)!=="svelte-s4dm9o"&&(ye.textContent=bi),Ha=s(e),xe=o(e,"P",{"data-svelte-h":!0}),h(xe)!=="svelte-ovn1mw"&&(xe.innerHTML=Ii),Pa=s(e),Ce=o(e,"TABLE",{"data-svelte-h":!0}),h(Ce)!=="svelte-ya0vko"&&(Ce.innerHTML=Ti),La=s(e),Ma=o(e,"HR",{}),Ea=s(e),He=o(e,"A",{id:!0,class:!0}),n(He).forEach(t),Aa=s(e),H=o(e,"H3",{class:!0});var Ml=n(H);K=o(Ml,"A",{id:!0,class:!0,href:!0});var ho=n(K);Ht=o(ho,"SPAN",{});var co=n(Ht);u(Pe.$$.fragment,co),co.forEach(t),ho.forEach(t),Ol=s(Ml),ut=o(Ml,"SPAN",{"data-svelte-h":!0}),h(ut)!=="svelte-s7b001"&&(ut.innerHTML=$i),Ml.forEach(t),ka=s(e),Le=o(e,"P",{"data-svelte-h":!0}),h(Le)!=="svelte-1eu6jk3"&&(Le.textContent=yi),Na=s(e),Me=o(e,"P",{"data-svelte-h":!0}),h(Me)!=="svelte-1w4hta5"&&(Me.innerHTML=xi),Sa=s(e),ja=o(e,"HR",{}),Ua=s(e),Ee=o(e,"A",{id:!0,class:!0}),n(Ee).forEach(t),za=s(e),P=o(e,"H3",{class:!0});var El=n(P);q=o(El,"A",{id:!0,class:!0,href:!0});var uo=n(q);Pt=o(uo,"SPAN",{});var po=n(Pt);u(Ae.$$.fragment,po),po.forEach(t),uo.forEach(t),Zl=s(El),pt=o(El,"SPAN",{"data-svelte-h":!0}),h(pt)!=="svelte-15nsxpb"&&(pt.innerHTML=Ci),El.forEach(t),Ba=s(e),ke=o(e,"P",{"data-svelte-h":!0}),h(ke)!=="svelte-5ze294"&&(ke.textContent=Hi),Ya=s(e),Ne=o(e,"P",{"data-svelte-h":!0}),h(Ne)!=="svelte-11e9r18"&&(Ne.innerHTML=Pi),Ka=s(e),Se=o(e,"TABLE",{"data-svelte-h":!0}),h(Se)!=="svelte-1hxqxaq"&&(Se.innerHTML=Li),qa=s(e),Ja=o(e,"HR",{}),Oa=s(e),je=o(e,"A",{id:!0,class:!0}),n(je).forEach(t),Za=s(e),L=o(e,"H3",{class:!0});var Al=n(L);J=o(Al,"A",{id:!0,class:!0,href:!0});var go=n(J);Lt=o(go,"SPAN",{});var fo=n(Lt);u(Ue.$$.fragment,fo),fo.forEach(t),go.forEach(t),Gl=s(Al),gt=o(Al,"SPAN",{"data-svelte-h":!0}),h(gt)!=="svelte-1ozxa0w"&&(gt.innerHTML=Mi),Al.forEach(t),Ga=s(e),ze=o(e,"P",{"data-svelte-h":!0}),h(ze)!=="svelte-119su55"&&(ze.textContent=Ei),Da=s(e),Be=o(e,"P",{"data-svelte-h":!0}),h(Be)!=="svelte-1epyezb"&&(Be.innerHTML=Ai),Wa=s(e),Ye=o(e,"TABLE",{"data-svelte-h":!0}),h(Ye)!=="svelte-1h4z9xq"&&(Ye.innerHTML=ki),Qa=s(e),Va=o(e,"HR",{}),Fa=s(e),Ke=o(e,"A",{id:!0,class:!0}),n(Ke).forEach(t),Xa=s(e),M=o(e,"H3",{class:!0});var kl=n(M);O=o(kl,"A",{id:!0,class:!0,href:!0});var wo=n(O);Mt=o(wo,"SPAN",{});var vo=n(Mt);u(qe.$$.fragment,vo),vo.forEach(t),wo.forEach(t),Dl=s(kl),ft=o(kl,"SPAN",{"data-svelte-h":!0}),h(ft)!=="svelte-isria3"&&(ft.innerHTML=Ni),kl.forEach(t),el=s(e),Je=o(e,"P",{"data-svelte-h":!0}),h(Je)!=="svelte-5659h9"&&(Je.textContent=Si),tl=s(e),Oe=o(e,"P",{"data-svelte-h":!0}),h(Oe)!=="svelte-1800vfp"&&(Oe.innerHTML=ji),al=s(e),Ze=o(e,"P",{"data-svelte-h":!0}),h(Ze)!=="svelte-14z54gq"&&(Ze.innerHTML=Ui),ll=s(e),u(Ge.$$.fragment,e),il=s(e),De=o(e,"TABLE",{"data-svelte-h":!0}),h(De)!=="svelte-eqolu5"&&(De.innerHTML=zi),ol=s(e),rl=o(e,"HR",{}),sl=s(e),We=o(e,"A",{id:!0,class:!0}),n(We).forEach(t),dl=s(e),E=o(e,"H3",{class:!0});var Nl=n(E);Z=o(Nl,"A",{id:!0,class:!0,href:!0});var _o=n(Z);Et=o(_o,"SPAN",{});var Ro=n(Et);u(Qe.$$.fragment,Ro),Ro.forEach(t),_o.forEach(t),Wl=s(Nl),wt=o(Nl,"SPAN",{"data-svelte-h":!0}),h(wt)!=="svelte-56ohq6"&&(wt.innerHTML=Bi),Nl.forEach(t),nl=s(e),Ve=o(e,"P",{"data-svelte-h":!0}),h(Ve)!=="svelte-1355z3u"&&(Ve.textContent=Yi),ml=s(e),Fe=o(e,"P",{"data-svelte-h":!0}),h(Fe)!=="svelte-nj4ebk"&&(Fe.innerHTML=Ki),hl=s(e),Xe=o(e,"TABLE",{"data-svelte-h":!0}),h(Xe)!=="svelte-ncveta"&&(Xe.innerHTML=qi),cl=s(e),ul=o(e,"HR",{}),pl=s(e),et=o(e,"A",{id:!0,class:!0}),n(et).forEach(t),gl=s(e),A=o(e,"H3",{class:!0});var Sl=n(A);G=o(Sl,"A",{id:!0,class:!0,href:!0});var bo=n(G);At=o(bo,"SPAN",{});var Io=n(At);u(tt.$$.fragment,Io),Io.forEach(t),bo.forEach(t),Ql=s(Sl),vt=o(Sl,"SPAN",{"data-svelte-h":!0}),h(vt)!=="svelte-11d3338"&&(vt.innerHTML=Ji),Sl.forEach(t),fl=s(e),at=o(e,"P",{"data-svelte-h":!0}),h(at)!=="svelte-1s704mu"&&(at.textContent=Oi),wl=s(e),lt=o(e,"P",{"data-svelte-h":!0}),h(lt)!=="svelte-nj4ebk"&&(lt.innerHTML=Zi),vl=s(e),it=o(e,"TABLE",{"data-svelte-h":!0}),h(it)!=="svelte-34rbhe"&&(it.innerHTML=Gi),_l=s(e),Rl=o(e,"HR",{}),bl=s(e),kt=o(e,"P",{}),n(kt).forEach(t),this.h()},h(){d(_,"name","hf:doc:metadata"),d(_,"content",JSON.stringify(Mo)),d(D,"id","module_utils/image"),d(D,"class","group"),d(k,"id","utilsimage"),d(k,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(k,"href","#utilsimage"),d(R,"class","relative group"),d(X,"id","module_utils/image.RawImage"),d(X,"class","group"),d(N,"id","utilsimagerawimage"),d(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(N,"href","#utilsimagerawimage"),d(b,"class","relative group"),d(le,"id","new_module_utils/image.RawImage_new"),d(le,"class","group"),d(S,"id","new-rawimagedata-width-height-channels"),d(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(S,"href","#new-rawimagedata-width-height-channels"),d(I,"class","relative group"),d(se,"id","module_utils/image.RawImage+_CONTENT_TYPE_MAP"),d(se,"class","group"),d(j,"id","rawimagecontenttypemap"),d(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(j,"href","#rawimagecontenttypemap"),d(T,"class","relative group"),d(he,"id","module_utils/image.RawImage+grayscale"),d(he,"class","group"),d(U,"id","rawimagegrayscale-coderawimagecode"),d(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(U,"href","#rawimagegrayscale-coderawimagecode"),d($,"class","relative group"),d(ge,"id","module_utils/image.RawImage+rgb"),d(ge,"class","group"),d(z,"id","rawimagergb-coderawimagecode"),d(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(z,"href","#rawimagergb-coderawimagecode"),d(y,"class","relative group"),d(_e,"id","module_utils/image.RawImage+rgba"),d(_e,"class","group"),d(B,"id","rawimagergba-coderawimagecode"),d(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(B,"href","#rawimagergba-coderawimagecode"),d(x,"class","relative group"),d(Te,"id","module_utils/image.RawImage+resize"),d(Te,"class","group"),d(Y,"id","rawimageresizewidth-height-options-codepromiseampltrawimageampgtcode"),d(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Y,"href","#rawimageresizewidth-height-options-codepromiseampltrawimageampgtcode"),d(C,"class","relative group"),d(He,"id","module_utils/image.RawImage+clone"),d(He,"class","group"),d(K,"id","rawimageclone-coderawimagecode"),d(K,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(K,"href","#rawimageclone-coderawimagecode"),d(H,"class","relative group"),d(Ee,"id","module_utils/image.RawImage+convert"),d(Ee,"class","group"),d(q,"id","rawimageconvertnumchannels-coderawimagecode"),d(q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(q,"href","#rawimageconvertnumchannels-coderawimagecode"),d(P,"class","relative group"),d(je,"id","module_utils/image.RawImage+save"),d(je,"class","group"),d(J,"id","rawimagesavepath"),d(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(J,"href","#rawimagesavepath"),d(L,"class","relative group"),d(Ke,"id","module_utils/image.RawImage.read"),d(Ke,"class","group"),d(O,"id","rawimagereadinput-codecode"),d(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(O,"href","#rawimagereadinput-codecode"),d(M,"class","relative group"),d(We,"id","module_utils/image.RawImage.fromURL"),d(We,"class","group"),d(Z,"id","rawimagefromurlurl-codepromiseampltrawimageampgtcode"),d(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Z,"href","#rawimagefromurlurl-codepromiseampltrawimageampgtcode"),d(E,"class","relative group"),d(et,"id","module_utils/image.RawImage.fromBlob"),d(et,"class","group"),d(G,"id","rawimagefromblobblob-codepromiseampltrawimageampgtcode"),d(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(G,"href","#rawimagefromblobblob-codepromiseampltrawimageampgtcode"),d(A,"class","relative group")},m(e,a){m(document.head,_),l(e,Nt,a),l(e,_t,a),l(e,St,a),l(e,D,a),l(e,jt,a),l(e,R,a),m(R,k),m(k,Rt),p(W,Rt,null),m(R,jl),m(R,ot),l(e,Ut,a),l(e,Q,a),l(e,zt,a),l(e,V,a),l(e,Bt,a),l(e,F,a),l(e,Yt,a),l(e,Kt,a),l(e,qt,a),l(e,X,a),l(e,Jt,a),l(e,b,a),m(b,N),m(N,bt),p(ee,bt,null),m(b,Ul),m(b,rt),l(e,Ot,a),l(e,te,a),l(e,Zt,a),l(e,ae,a),l(e,Gt,a),l(e,Dt,a),l(e,Wt,a),l(e,le,a),l(e,Qt,a),l(e,I,a),m(I,S),m(S,It),p(ie,It,null),m(I,zl),m(I,st),l(e,Vt,a),l(e,oe,a),l(e,Ft,a),l(e,re,a),l(e,Xt,a),l(e,ea,a),l(e,ta,a),l(e,se,a),l(e,aa,a),l(e,T,a),m(T,j),m(j,Tt),p(de,Tt,null),m(T,Bl),m(T,dt),l(e,la,a),l(e,ne,a),l(e,ia,a),l(e,me,a),l(e,oa,a),l(e,ra,a),l(e,sa,a),l(e,he,a),l(e,da,a),l(e,$,a),m($,U),m(U,$t),p(ce,$t,null),m($,Yl),m($,nt),l(e,na,a),l(e,ue,a),l(e,ma,a),l(e,pe,a),l(e,ha,a),l(e,ca,a),l(e,ua,a),l(e,ge,a),l(e,pa,a),l(e,y,a),m(y,z),m(z,yt),p(fe,yt,null),m(y,Kl),m(y,mt),l(e,ga,a),l(e,we,a),l(e,fa,a),l(e,ve,a),l(e,wa,a),l(e,va,a),l(e,_a,a),l(e,_e,a),l(e,Ra,a),l(e,x,a),m(x,B),m(B,xt),p(Re,xt,null),m(x,ql),m(x,ht),l(e,ba,a),l(e,be,a),l(e,Ia,a),l(e,Ie,a),l(e,Ta,a),l(e,$a,a),l(e,ya,a),l(e,Te,a),l(e,xa,a),l(e,C,a),m(C,Y),m(Y,Ct),p($e,Ct,null),m(C,Jl),m(C,ct),l(e,Ca,a),l(e,ye,a),l(e,Ha,a),l(e,xe,a),l(e,Pa,a),l(e,Ce,a),l(e,La,a),l(e,Ma,a),l(e,Ea,a),l(e,He,a),l(e,Aa,a),l(e,H,a),m(H,K),m(K,Ht),p(Pe,Ht,null),m(H,Ol),m(H,ut),l(e,ka,a),l(e,Le,a),l(e,Na,a),l(e,Me,a),l(e,Sa,a),l(e,ja,a),l(e,Ua,a),l(e,Ee,a),l(e,za,a),l(e,P,a),m(P,q),m(q,Pt),p(Ae,Pt,null),m(P,Zl),m(P,pt),l(e,Ba,a),l(e,ke,a),l(e,Ya,a),l(e,Ne,a),l(e,Ka,a),l(e,Se,a),l(e,qa,a),l(e,Ja,a),l(e,Oa,a),l(e,je,a),l(e,Za,a),l(e,L,a),m(L,J),m(J,Lt),p(Ue,Lt,null),m(L,Gl),m(L,gt),l(e,Ga,a),l(e,ze,a),l(e,Da,a),l(e,Be,a),l(e,Wa,a),l(e,Ye,a),l(e,Qa,a),l(e,Va,a),l(e,Fa,a),l(e,Ke,a),l(e,Xa,a),l(e,M,a),m(M,O),m(O,Mt),p(qe,Mt,null),m(M,Dl),m(M,ft),l(e,el,a),l(e,Je,a),l(e,tl,a),l(e,Oe,a),l(e,al,a),l(e,Ze,a),l(e,ll,a),p(Ge,e,a),l(e,il,a),l(e,De,a),l(e,ol,a),l(e,rl,a),l(e,sl,a),l(e,We,a),l(e,dl,a),l(e,E,a),m(E,Z),m(Z,Et),p(Qe,Et,null),m(E,Wl),m(E,wt),l(e,nl,a),l(e,Ve,a),l(e,ml,a),l(e,Fe,a),l(e,hl,a),l(e,Xe,a),l(e,cl,a),l(e,ul,a),l(e,pl,a),l(e,et,a),l(e,gl,a),l(e,A,a),m(A,G),m(G,At),p(tt,At,null),m(A,Ql),m(A,vt),l(e,fl,a),l(e,at,a),l(e,wl,a),l(e,lt,a),l(e,vl,a),l(e,it,a),l(e,_l,a),l(e,Rl,a),l(e,bl,a),l(e,kt,a),Il=!0},p:$o,i(e){Il||(g(W.$$.fragment,e),g(ee.$$.fragment,e),g(ie.$$.fragment,e),g(de.$$.fragment,e),g(ce.$$.fragment,e),g(fe.$$.fragment,e),g(Re.$$.fragment,e),g($e.$$.fragment,e),g(Pe.$$.fragment,e),g(Ae.$$.fragment,e),g(Ue.$$.fragment,e),g(qe.$$.fragment,e),g(Ge.$$.fragment,e),g(Qe.$$.fragment,e),g(tt.$$.fragment,e),Il=!0)},o(e){f(W.$$.fragment,e),f(ee.$$.fragment,e),f(ie.$$.fragment,e),f(de.$$.fragment,e),f(ce.$$.fragment,e),f(fe.$$.fragment,e),f(Re.$$.fragment,e),f($e.$$.fragment,e),f(Pe.$$.fragment,e),f(Ae.$$.fragment,e),f(Ue.$$.fragment,e),f(qe.$$.fragment,e),f(Ge.$$.fragment,e),f(Qe.$$.fragment,e),f(tt.$$.fragment,e),Il=!1},d(e){e&&(t(Nt),t(_t),t(St),t(D),t(jt),t(R),t(Ut),t(Q),t(zt),t(V),t(Bt),t(F),t(Yt),t(Kt),t(qt),t(X),t(Jt),t(b),t(Ot),t(te),t(Zt),t(ae),t(Gt),t(Dt),t(Wt),t(le),t(Qt),t(I),t(Vt),t(oe),t(Ft),t(re),t(Xt),t(ea),t(ta),t(se),t(aa),t(T),t(la),t(ne),t(ia),t(me),t(oa),t(ra),t(sa),t(he),t(da),t($),t(na),t(ue),t(ma),t(pe),t(ha),t(ca),t(ua),t(ge),t(pa),t(y),t(ga),t(we),t(fa),t(ve),t(wa),t(va),t(_a),t(_e),t(Ra),t(x),t(ba),t(be),t(Ia),t(Ie),t(Ta),t($a),t(ya),t(Te),t(xa),t(C),t(Ca),t(ye),t(Ha),t(xe),t(Pa),t(Ce),t(La),t(Ma),t(Ea),t(He),t(Aa),t(H),t(ka),t(Le),t(Na),t(Me),t(Sa),t(ja),t(Ua),t(Ee),t(za),t(P),t(Ba),t(ke),t(Ya),t(Ne),t(Ka),t(Se),t(qa),t(Ja),t(Oa),t(je),t(Za),t(L),t(Ga),t(ze),t(Da),t(Be),t(Wa),t(Ye),t(Qa),t(Va),t(Fa),t(Ke),t(Xa),t(M),t(el),t(Je),t(tl),t(Oe),t(al),t(Ze),t(ll),t(il),t(De),t(ol),t(rl),t(sl),t(We),t(dl),t(E),t(nl),t(Ve),t(ml),t(Fe),t(hl),t(Xe),t(cl),t(ul),t(pl),t(et),t(gl),t(A),t(fl),t(at),t(wl),t(lt),t(vl),t(it),t(_l),t(Rl),t(bl),t(kt)),t(_),w(W),w(ee),w(ie),w(de),w(ce),w(fe),w(Re),w($e),w(Pe),w(Ae),w(Ue),w(qe),w(Ge,e),w(Qe),w(tt)}}}const Mo={local:"utilsimage",sections:[{local:"utilsimagerawimage",sections:[{local:"new-rawimagedata-width-height-channels",title:"`new RawImage(data, width, height, channels)`"},{local:"rawimagecontenttypemap",title:"`rawImage._CONTENT_TYPE_MAP`"},{local:"rawimagegrayscale-coderawimagecode",title:"`rawImage.grayscale()` ⇒ <code>RawImage</code>"},{local:"rawimagergb-coderawimagecode",title:"`rawImage.rgb()` ⇒ <code>RawImage</code>"},{local:"rawimagergba-coderawimagecode",title:"`rawImage.rgba()` ⇒ <code>RawImage</code>"},{local:"rawimageresizewidth-height-options-codepromiseampltrawimageampgtcode",title:"`rawImage.resize(width, height, options)` ⇒ <code>Promise.&lt;RawImage&gt;</code>"},{local:"rawimageclone-coderawimagecode",title:"`rawImage.clone()` ⇒ <code>RawImage</code>"},{local:"rawimageconvertnumchannels-coderawimagecode",title:"`rawImage.convert(numChannels)` ⇒ <code>RawImage</code>"},{local:"rawimagesavepath",title:"`rawImage.save(path)`"},{local:"rawimagereadinput-codecode",title:"`RawImage.read(input)` ⇒ <code>*</code>"},{local:"rawimagefromurlurl-codepromiseampltrawimageampgtcode",title:"`RawImage.fromURL(url)` ⇒ <code>Promise.&lt;RawImage&gt;</code>"},{local:"rawimagefromblobblob-codepromiseampltrawimageampgtcode",title:"`RawImage.fromBlob(blob)` ⇒ <code>Promise.&lt;RawImage&gt;</code>"}],title:"utils/image.RawImage"}],title:"utils/image"};function Eo(Vl){return yo(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class jo extends xo{constructor(_){super(),Co(this,_,Eo,Lo,To,{})}}export{jo as component};
